'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactIntl = require('react-intl');

var _cspaceInput = require('cspace-input');

var _UserSearchBar = require('../../../styles/cspace-ui/UserSearchBar.css');

var _UserSearchBar2 = _interopRequireDefault(_UserSearchBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var LineInput = _cspaceInput.components.LineInput,
    MiniButton = _cspaceInput.components.MiniButton;


var messages = (0, _reactIntl.defineMessages)({
  filter: {
    'id': 'UserSearchBar.filter',
    'defaultMessage': 'Filter by full name'
  },
  clear: {
    'id': 'UserSearchBar.clear',
    'defaultMessage': 'Clear'
  }
});

var propTypes = {
  value: _propTypes2.default.string,
  onChange: _propTypes2.default.func
};

var contextTypes = {
  intl: _reactIntl.intlShape
};

var UserSearchBar = function (_Component) {
  _inherits(UserSearchBar, _Component);

  function UserSearchBar() {
    _classCallCheck(this, UserSearchBar);

    var _this = _possibleConstructorReturn(this, (UserSearchBar.__proto__ || Object.getPrototypeOf(UserSearchBar)).call(this));

    _this.handleClearButtonClick = _this.handleClearButtonClick.bind(_this);
    _this.handleInputChange = _this.handleInputChange.bind(_this);
    return _this;
  }

  _createClass(UserSearchBar, [{
    key: 'handleClearButtonClick',
    value: function handleClearButtonClick() {
      var onChange = this.props.onChange;


      if (onChange) {
        onChange('');
      }
    }
  }, {
    key: 'handleInputChange',
    value: function handleInputChange(value) {
      var onChange = this.props.onChange;


      if (onChange) {
        onChange(value);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var value = this.props.value;
      var intl = this.context.intl;


      return _react2.default.createElement(
        'div',
        { className: _UserSearchBar2.default.common },
        _react2.default.createElement(LineInput, {
          label: intl.formatMessage(messages.filter),
          onChange: this.handleInputChange,
          value: value
        }),
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            MiniButton,
            {
              autoWidth: true,
              onClick: this.handleClearButtonClick
            },
            intl.formatMessage(messages.clear)
          )
        )
      );
    }
  }]);

  return UserSearchBar;
}(_react.Component);

exports.default = UserSearchBar;


UserSearchBar.propTypes = propTypes;
UserSearchBar.contextTypes = contextTypes;