'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _reactIntl = require('react-intl');

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _RecordEditorContainer = require('../../containers/record/RecordEditorContainer');

var _RecordEditorContainer2 = _interopRequireDefault(_RecordEditorContainer);

var _SearchPanelContainer = require('../../containers/search/SearchPanelContainer');

var _SearchPanelContainer2 = _interopRequireDefault(_SearchPanelContainer);

var _permissionHelpers = require('../../helpers/permissionHelpers');

var _AdminTab = require('../../../styles/cspace-ui/AdminTab.css');

var _AdminTab2 = _interopRequireDefault(_AdminTab);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var propTypes = {
  history: _propTypes2.default.object,
  match: _propTypes2.default.object,
  perms: _propTypes2.default.instanceOf(_immutable2.default.Map),
  setAdminTab: _propTypes2.default.func
};

var contextTypes = {
  config: _propTypes2.default.object.isRequired
};

var recordType = 'vocabulary';

var getSearchDescriptor = function getSearchDescriptor() {
  return _immutable2.default.fromJS({
    recordType: recordType,
    searchQuery: {
      size: 20
    }
  });
};

var TermsPage = function (_Component) {
  _inherits(TermsPage, _Component);

  function TermsPage() {
    _classCallCheck(this, TermsPage);

    var _this = _possibleConstructorReturn(this, (TermsPage.__proto__ || Object.getPrototypeOf(TermsPage)).call(this));

    _this.handleItemClick = _this.handleItemClick.bind(_this);
    _this.handleSearchDescriptorChange = _this.handleSearchDescriptorChange.bind(_this);

    _this.state = {
      searchDescriptor: getSearchDescriptor()
    };
    return _this;
  }

  _createClass(TermsPage, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var setAdminTab = this.props.setAdminTab;


      if (setAdminTab) {
        setAdminTab(recordType);
      }
    }
  }, {
    key: 'handleItemClick',
    value: function handleItemClick(item) {
      var _props = this.props,
          history = _props.history,
          perms = _props.perms;


      if ((0, _permissionHelpers.canRead)(recordType, perms)) {
        var csid = item.get('csid');

        history.replace('/admin/' + recordType + '/' + csid);
      }

      // Prevent the default action.

      return false;
    }
  }, {
    key: 'handleSearchDescriptorChange',
    value: function handleSearchDescriptorChange(searchDescriptor) {
      this.setState({
        searchDescriptor: searchDescriptor
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var config = this.context.config;
      var _props2 = this.props,
          history = _props2.history,
          match = _props2.match,
          perms = _props2.perms;
      var searchDescriptor = this.state.searchDescriptor;
      var csid = match.params.csid;


      var normalizedCsid = csid === 'new' ? '' : csid;
      var recordTypeConfig = (0, _get2.default)(config, ['recordTypes', recordType]);

      var title = _react2.default.createElement(_reactIntl.FormattedMessage, recordTypeConfig.messages.record.collectionName);

      var recordEditor = void 0;

      if (typeof normalizedCsid !== 'undefined' && normalizedCsid !== null) {
        // Don't allow creating or deleting.

        var filteredPerms = perms;

        filteredPerms = (0, _permissionHelpers.disallowCreate)(recordType, filteredPerms);
        filteredPerms = (0, _permissionHelpers.disallowDelete)(recordType, filteredPerms);
        filteredPerms = (0, _permissionHelpers.disallowSoftDelete)(recordType, filteredPerms);

        recordEditor = _react2.default.createElement(_RecordEditorContainer2.default, {
          config: config,
          csid: normalizedCsid,
          recordType: recordType,
          perms: filteredPerms
        });
      }

      return _react2.default.createElement(
        'div',
        { className: _AdminTab2.default.common },
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(_SearchPanelContainer2.default, {
            config: config,
            history: history,
            name: 'termsPage',
            searchDescriptor: searchDescriptor,
            title: title,
            recordType: recordType,
            showSearchButton: false,
            onItemClick: this.handleItemClick,
            onSearchDescriptorChange: this.handleSearchDescriptorChange
          })
        ),
        recordEditor
      );
    }
  }]);

  return TermsPage;
}(_react.Component);

exports.default = TermsPage;


TermsPage.propTypes = propTypes;
TermsPage.contextTypes = contextTypes;