'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactIntl = require('react-intl');

var _cspaceLayout = require('cspace-layout');

var _CancelButton = require('../navigation/CancelButton');

var _CancelButton2 = _interopRequireDefault(_CancelButton);

var _DeleteButton = require('../record/DeleteButton');

var _DeleteButton2 = _interopRequireDefault(_DeleteButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var messages = (0, _reactIntl.defineMessages)({
  title: {
    'id': 'confirmRecordDeleteModal.title',
    'defaultMessage': 'Delete'
  },
  prompt: {
    'id': 'confirmRecordDeleteModal.prompt',
    'defaultMessage': 'Delete this record?'
  },
  cancel: {
    'id': 'confirmRecordDeleteModal.cancel',
    'defaultMessage': 'Cancel'
  },
  delete: {
    'id': 'confirmRecordDeleteModal.delete',
    'defaultMessage': 'Delete'
  }
});

var propTypes = {
  csid: _propTypes2.default.string,
  isOpen: _propTypes2.default.bool,
  isSavePending: _propTypes2.default.bool,
  onCancelButtonClick: _propTypes2.default.func,
  onCloseButtonClick: _propTypes2.default.func,
  onDeleteButtonClick: _propTypes2.default.func
};

var ConfirmRecordDeleteModal = function (_Component) {
  _inherits(ConfirmRecordDeleteModal, _Component);

  function ConfirmRecordDeleteModal() {
    _classCallCheck(this, ConfirmRecordDeleteModal);

    var _this = _possibleConstructorReturn(this, (ConfirmRecordDeleteModal.__proto__ || Object.getPrototypeOf(ConfirmRecordDeleteModal)).call(this));

    _this.renderButtonBar = _this.renderButtonBar.bind(_this);
    return _this;
  }

  _createClass(ConfirmRecordDeleteModal, [{
    key: 'renderButtonBar',
    value: function renderButtonBar() {
      var _props = this.props,
          csid = _props.csid,
          isSavePending = _props.isSavePending,
          onCancelButtonClick = _props.onCancelButtonClick,
          onDeleteButtonClick = _props.onDeleteButtonClick;


      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_CancelButton2.default, {
          disabled: isSavePending,
          label: _react2.default.createElement(_reactIntl.FormattedMessage, messages.cancel),
          onClick: onCancelButtonClick
        }),
        _react2.default.createElement(_DeleteButton2.default, {
          csid: csid
          // Assume the record is deletable if this modal is being shown.
          , isDeletable: true,
          isSavePending: isSavePending,
          label: _react2.default.createElement(_reactIntl.FormattedMessage, messages.delete),
          onClick: onDeleteButtonClick
        })
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          isOpen = _props2.isOpen,
          onCloseButtonClick = _props2.onCloseButtonClick;


      return _react2.default.createElement(
        _cspaceLayout.Modal,
        {
          isOpen: isOpen,
          title: _react2.default.createElement(
            'h1',
            null,
            _react2.default.createElement(_reactIntl.FormattedMessage, messages.title)
          ),
          closeButtonClassName: 'material-icons',
          closeButtonLabel: 'close',
          renderButtonBar: this.renderButtonBar,
          onCloseButtonClick: onCloseButtonClick
        },
        _react2.default.createElement(_reactIntl.FormattedMessage, messages.prompt)
      );
    }
  }]);

  return ConfirmRecordDeleteModal;
}(_react.Component);

exports.default = ConfirmRecordDeleteModal;


ConfirmRecordDeleteModal.modalName = 'ConfirmRecordDeleteModal';
ConfirmRecordDeleteModal.propTypes = propTypes;