'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactIntl = require('react-intl');

var _cspaceLayout = require('cspace-layout');

var _CancelButton = require('../navigation/CancelButton');

var _CancelButton2 = _interopRequireDefault(_CancelButton);

var _SaveButton = require('../record/SaveButton');

var _SaveButton2 = _interopRequireDefault(_SaveButton);

var _LockButton = require('../../../styles/cspace-ui/LockButton.css');

var _LockButton2 = _interopRequireDefault(_LockButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var messages = (0, _reactIntl.defineMessages)({
  title: {
    'id': 'lockRecordModal.title',
    'defaultMessage': 'Lock Record?'
  },
  prompt: {
    'id': 'lockRecordModal.prompt',
    'defaultMessage': 'This record may be locked after it is saved. This will make the record read-only, to prevent further modification.'
  },
  cancel: {
    'id': 'lockRecordModal.cancel',
    'defaultMessage': 'Cancel'
  },
  saveLock: {
    'id': 'lockRecordModal.saveLock',
    'defaultMessage': 'Save and lock'
  },
  saveOnly: {
    'id': 'lockRecordModal.saveOnly',
    'defaultMessage': 'Save only'
  }
});

var propTypes = {
  csid: _propTypes2.default.string,
  isOpen: _propTypes2.default.bool,
  isSavePending: _propTypes2.default.bool,
  onCancelButtonClick: _propTypes2.default.func,
  onCloseButtonClick: _propTypes2.default.func,
  onSaveOnlyButtonClick: _propTypes2.default.func,
  onSaveLockButtonClick: _propTypes2.default.func
};

var LockRecordModal = function (_Component) {
  _inherits(LockRecordModal, _Component);

  function LockRecordModal() {
    _classCallCheck(this, LockRecordModal);

    var _this = _possibleConstructorReturn(this, (LockRecordModal.__proto__ || Object.getPrototypeOf(LockRecordModal)).call(this));

    _this.renderButtonBar = _this.renderButtonBar.bind(_this);
    return _this;
  }

  _createClass(LockRecordModal, [{
    key: 'renderButtonBar',
    value: function renderButtonBar() {
      var _props = this.props,
          csid = _props.csid,
          isSavePending = _props.isSavePending,
          onCancelButtonClick = _props.onCancelButtonClick,
          onSaveOnlyButtonClick = _props.onSaveOnlyButtonClick,
          onSaveLockButtonClick = _props.onSaveLockButtonClick;


      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_CancelButton2.default, {
          disabled: isSavePending,
          label: _react2.default.createElement(_reactIntl.FormattedMessage, messages.cancel),
          onClick: onCancelButtonClick
        }),
        _react2.default.createElement(_SaveButton2.default, {
          csid: csid,
          isSavePending: isSavePending,
          label: _react2.default.createElement(_reactIntl.FormattedMessage, messages.saveOnly),
          onClick: onSaveOnlyButtonClick
        }),
        _react2.default.createElement(_SaveButton2.default, {
          className: _LockButton2.default.common,
          csid: csid,
          isSavePending: isSavePending,
          label: _react2.default.createElement(_reactIntl.FormattedMessage, messages.saveLock),
          onClick: onSaveLockButtonClick
        })
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          isOpen = _props2.isOpen,
          onCloseButtonClick = _props2.onCloseButtonClick;


      return _react2.default.createElement(
        _cspaceLayout.Modal,
        {
          isOpen: isOpen,
          title: _react2.default.createElement(
            'h1',
            null,
            _react2.default.createElement(_reactIntl.FormattedMessage, messages.title)
          ),
          closeButtonClassName: 'material-icons',
          closeButtonLabel: 'close',
          renderButtonBar: this.renderButtonBar,
          onCloseButtonClick: onCloseButtonClick
        },
        _react2.default.createElement(_reactIntl.FormattedMessage, messages.prompt)
      );
    }
  }]);

  return LockRecordModal;
}(_react.Component);

exports.default = LockRecordModal;


LockRecordModal.modalName = 'LockRecordModal';
LockRecordModal.propTypes = propTypes;