'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactIntl = require('react-intl');

var _reactRouterDom = require('react-router-dom');

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _RecordForm = require('./RecordForm');

var _RecordForm2 = _interopRequireDefault(_RecordForm);

var _recordDataHelpers = require('../../helpers/recordDataHelpers');

var _MiniView = require('../../../styles/cspace-ui/MiniView.css');

var _MiniView2 = _interopRequireDefault(_MiniView);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var propTypes = {
  config: _propTypes2.default.object,
  intl: _reactIntl.intlShape,
  recordType: _propTypes2.default.string,
  vocabulary: _propTypes2.default.string,
  csid: _propTypes2.default.string,
  data: _propTypes2.default.instanceOf(_immutable2.default.Map),
  readRecord: _propTypes2.default.func
};

var MiniView = function (_Component) {
  _inherits(MiniView, _Component);

  function MiniView() {
    _classCallCheck(this, MiniView);

    return _possibleConstructorReturn(this, (MiniView.__proto__ || Object.getPrototypeOf(MiniView)).apply(this, arguments));
  }

  _createClass(MiniView, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.initRecord();
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps) {
      var csid = this.props.csid;
      var prevCsid = prevProps.csid;


      if (csid !== prevCsid) {
        this.initRecord();
      }
    }
  }, {
    key: 'initRecord',
    value: function initRecord() {
      var _props = this.props,
          csid = _props.csid,
          readRecord = _props.readRecord;


      if (csid && readRecord) {
        readRecord();
      }
    }
  }, {
    key: 'renderTitle',
    value: function renderTitle() {
      var _props2 = this.props,
          config = _props2.config,
          intl = _props2.intl,
          recordType = _props2.recordType,
          vocabulary = _props2.vocabulary,
          data = _props2.data;


      var recordTypeConfig = config.recordTypes[recordType];
      var title = recordTypeConfig.title(data, { config: config, intl: intl });

      if (!title) {
        return _react2.default.createElement(
          'h3',
          null,
          _react2.default.createElement('br', null)
        );
      }

      var csid = (0, _recordDataHelpers.getCsid)(data);
      var path = ['/record', recordType, vocabulary, csid].filter(function (part) {
        return !!part;
      }).join('/');

      return _react2.default.createElement(
        'h3',
        null,
        _react2.default.createElement(
          _reactRouterDom.Link,
          { to: path },
          title
        )
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _props3 = this.props,
          vocabulary = _props3.vocabulary,
          remainingProps = _objectWithoutProperties(_props3, ['vocabulary']);

      var className = vocabulary ? _MiniView2.default.authority : _MiniView2.default.procedure;

      return _react2.default.createElement(
        'div',
        { className: className },
        this.renderTitle(),
        _react2.default.createElement(_RecordForm2.default, _extends({
          readOnly: true,
          formName: 'mini',
          vocabulary: vocabulary
        }, remainingProps))
      );
    }
  }]);

  return MiniView;
}(_react.Component);

exports.default = MiniView;


MiniView.propTypes = propTypes;