'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactIntl = require('react-intl');

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _cspaceLayout = require('cspace-layout');

var _CancelButton = require('../navigation/CancelButton');

var _CancelButton2 = _interopRequireDefault(_CancelButton);

var _RunButton = require('../record/RunButton');

var _RunButton2 = _interopRequireDefault(_RunButton);

var _RunReportButton = require('../../../styles/cspace-ui/RunReportButton.css');

var _RunReportButton2 = _interopRequireDefault(_RunReportButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var messages = (0, _reactIntl.defineMessages)({
  prompt: {
    'id': 'reportModal.prompt',
    'defaultMessage': 'Run this report?'
  },
  cancel: {
    'id': 'reportModal.cancel',
    'defaultMessage': 'Cancel'
  },
  run: {
    'id': 'reportModal.run',
    'defaultMessage': 'Run'
  }
});

var propTypes = {
  isOpen: _propTypes2.default.bool,
  reportItem: _propTypes2.default.instanceOf(_immutable2.default.Map),
  onCancelButtonClick: _propTypes2.default.func,
  onCloseButtonClick: _propTypes2.default.func,
  onRunButtonClick: _propTypes2.default.func
};

var ReportModal = function (_Component) {
  _inherits(ReportModal, _Component);

  function ReportModal() {
    _classCallCheck(this, ReportModal);

    var _this = _possibleConstructorReturn(this, (ReportModal.__proto__ || Object.getPrototypeOf(ReportModal)).call(this));

    _this.renderButtonBar = _this.renderButtonBar.bind(_this);
    return _this;
  }

  _createClass(ReportModal, [{
    key: 'renderButtonBar',
    value: function renderButtonBar() {
      var _props = this.props,
          onCancelButtonClick = _props.onCancelButtonClick,
          onRunButtonClick = _props.onRunButtonClick;


      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_CancelButton2.default, {
          label: _react2.default.createElement(_reactIntl.FormattedMessage, messages.cancel),
          onClick: onCancelButtonClick
        }),
        _react2.default.createElement(_RunButton2.default, {
          className: _RunReportButton2.default.common,
          label: _react2.default.createElement(_reactIntl.FormattedMessage, messages.run),
          onClick: onRunButtonClick
        })
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          isOpen = _props2.isOpen,
          reportItem = _props2.reportItem,
          onCloseButtonClick = _props2.onCloseButtonClick;


      if (!isOpen || !reportItem) {
        return null;
      }

      return _react2.default.createElement(
        _cspaceLayout.Modal,
        {
          isOpen: isOpen,
          title: _react2.default.createElement(
            'h1',
            null,
            reportItem.get('name')
          ),
          closeButtonClassName: 'material-icons',
          closeButtonLabel: 'close',
          renderButtonBar: this.renderButtonBar,
          onCloseButtonClick: onCloseButtonClick
        },
        _react2.default.createElement(_reactIntl.FormattedMessage, messages.prompt)
      );
    }
  }]);

  return ReportModal;
}(_react.Component);

exports.default = ReportModal;


ReportModal.modalName = 'ReportModal';
ReportModal.propTypes = propTypes;