'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = SearchButton;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactIntl = require('react-intl');

var _cspaceInput = require('cspace-input');

var _SearchButton = require('../../../styles/cspace-ui/SearchButton.css');

var _SearchButton2 = _interopRequireDefault(_SearchButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Button = _cspaceInput.components.Button;


var messages = (0, _reactIntl.defineMessages)({
  label: {
    'id': 'searchButton.label',
    'defaultMessage': 'Search'
  }
});

var propTypes = {
  type: _propTypes2.default.string
};

var defaultProps = {
  type: 'submit'
};

function SearchButton(props) {
  var type = props.type,
      remainingProps = _objectWithoutProperties(props, ['type']);

  return _react2.default.createElement(
    Button,
    _extends({
      className: _SearchButton2.default.common,
      icon: true,
      name: 'search',
      type: type
    }, remainingProps),
    _react2.default.createElement(_reactIntl.FormattedMessage, messages.label)
  );
}

SearchButton.propTypes = propTypes;
SearchButton.defaultProps = defaultProps;