'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactHelmet = require('react-helmet');

var _reactHelmet2 = _interopRequireDefault(_reactHelmet);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _TitleBar = require('../../../styles/cspace-ui/TitleBar.css');

var _TitleBar2 = _interopRequireDefault(_TitleBar);

var _Subtitle = require('../../../styles/cspace-ui/Subtitle.css');

var _Subtitle2 = _interopRequireDefault(_Subtitle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* global window */

var propTypes = {
  title: _propTypes2.default.node,
  subtitle: _propTypes2.default.node,
  aside: _propTypes2.default.node,
  icon: _propTypes2.default.node,
  nav: _propTypes2.default.node,
  serviceType: _propTypes2.default.string,
  updateDocumentTitle: _propTypes2.default.bool,
  onDocked: _propTypes2.default.func
};

var TitleBar = function (_Component) {
  _inherits(TitleBar, _Component);

  function TitleBar(props) {
    _classCallCheck(this, TitleBar);

    var _this = _possibleConstructorReturn(this, (TitleBar.__proto__ || Object.getPrototypeOf(TitleBar)).call(this, props));

    _this.setDomNode = _this.setDomNode.bind(_this);
    _this.handleScroll = _this.handleScroll.bind(_this);

    _this.state = {
      docked: false
    };
    return _this;
  }

  _createClass(TitleBar, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      window.addEventListener('scroll', this.handleScroll, false);

      // eslint-disable-next-line react/no-did-mount-set-state
      this.setState({
        documentTitle: this.getDocumentTitle()
      });
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps) {
      var node = this.domNode;

      // Update the document title, if necessary.

      var updateDocumentTitle = this.props.updateDocumentTitle;


      if (updateDocumentTitle) {
        var _props = this.props,
            title = _props.title,
            aside = _props.aside;
        var prevTitle = prevProps.title,
            prevAside = prevProps.aside;


        if (title !== prevTitle || aside !== prevAside) {
          // eslint-disable-next-line react/no-did-update-set-state
          this.setState({
            documentTitle: this.getDocumentTitle()
          });
        }
      }

      // If the height of the title bar content changes while the title bar is docked, fire onDocked
      // in order to notify listeners of the new height.

      if (node && this.state.docked) {
        var contentNode = node.firstElementChild;

        if (contentNode.offsetHeight !== this.dockedHeight) {
          this.dockedHeight = contentNode.offsetHeight;

          var onDocked = this.props.onDocked;


          if (onDocked) {
            onDocked(this.dockedHeight);
          }
        }
      }
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      window.removeEventListener('scroll', this.handleScroll, false);
    }
  }, {
    key: 'getDocumentTitle',
    value: function getDocumentTitle() {
      var titleNode = this.domNode.querySelector('h1');
      var titleText = titleNode ? titleNode.textContent : null;

      var asideNode = this.domNode.querySelector('aside');
      var asideText = asideNode ? asideNode.textContent : null;

      return [titleText, asideText].filter(function (part) {
        return !!part;
      }).join(' | ');
    }
  }, {
    key: 'setDomNode',
    value: function setDomNode(ref) {
      this.domNode = ref;
    }
  }, {
    key: 'handleScroll',
    value: function handleScroll() {
      var onDocked = this.props.onDocked;


      var node = this.domNode;

      if (!node) return;

      if (this.state.docked) {
        if (window.scrollY < node.offsetTop) {
          this.setState({
            docked: false
          });
        }
      } else if (window.scrollY >= node.offsetTop) {
        this.dockedHeight = node.offsetHeight;

        this.setState({
          docked: true
        });

        if (onDocked) {
          onDocked(this.dockedHeight);
        }
      }
    }
  }, {
    key: 'renderDocumentTitle',
    value: function renderDocumentTitle() {
      var updateDocumentTitle = this.props.updateDocumentTitle;


      if (!updateDocumentTitle) {
        return null;
      }

      var documentTitle = this.state.documentTitle;


      return _react2.default.createElement(
        _reactHelmet2.default,
        null,
        _react2.default.createElement(
          'title',
          null,
          documentTitle
        )
      );
    }
  }, {
    key: 'renderNav',
    value: function renderNav() {
      var nav = this.props.nav;


      return nav;
    }
  }, {
    key: 'renderTitle',
    value: function renderTitle() {
      var title = this.props.title;


      return _react2.default.createElement(
        'h1',
        null,
        title
      );
    }
  }, {
    key: 'renderAside',
    value: function renderAside() {
      var aside = this.props.aside;


      if (aside !== null && typeof aside !== 'undefined') {
        return _react2.default.createElement(
          'aside',
          null,
          _react2.default.createElement(
            'h2',
            null,
            aside
          )
        );
      }

      return null;
    }
  }, {
    key: 'renderSubtitle',
    value: function renderSubtitle() {
      var subtitle = this.props.subtitle;


      if (subtitle !== null && typeof subtitle !== 'undefined') {
        return _react2.default.createElement(
          'div',
          { className: _Subtitle2.default.common },
          subtitle
        );
      }

      return null;
    }
  }, {
    key: 'render',
    value: function render() {
      var docked = this.state.docked;
      var _props2 = this.props,
          icon = _props2.icon,
          serviceType = _props2.serviceType;


      var className = (0, _classnames2.default)(_TitleBar2.default[serviceType], docked ? _TitleBar2.default.docked : _TitleBar2.default.common);
      var inlineStyle = docked ? { height: this.domNode.offsetHeight } : {};

      return _react2.default.createElement(
        'header',
        {
          className: className,
          ref: this.setDomNode,
          style: inlineStyle
        },
        this.renderDocumentTitle(),
        _react2.default.createElement(
          'div',
          null,
          this.renderNav(),
          _react2.default.createElement(
            'div',
            null,
            icon,
            this.renderTitle(),
            this.renderAside()
          ),
          this.renderSubtitle()
        )
      );
    }
  }]);

  return TitleBar;
}(_react.Component);

exports.default = TitleBar;


TitleBar.propTypes = propTypes;