'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function () {
  return {
    listTypes: {
      account: {
        listNodeName: 'ns3:accounts-common-list',
        itemNodeName: 'account-list-item',
        messages: (0, _reactIntl.defineMessages)({
          resultCount: {
            'id': 'list.account.resultCount',
            'defaultMessage': '{totalItems, plural, =0 {No users} one {1 user} other {{startNum}\u2013{endNum} of {totalItems} users}} found'
          },
          searching: {
            'id': 'list.account.searching',
            'defaultMessage': 'Finding users...'
          }
        }),
        getItemLocationPath: function getItemLocationPath(item) {
          var csid = item.get('csid');

          return '/admin/account/' + csid;
        }
      }
    }
  };
};