'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatTimestamp = _pluginContext$format.formatTimestamp,
      formatRefNameAsVocabularyName = _pluginContext$format.formatRefNameAsVocabularyName,
      formatServiceObjectName = _pluginContext$format.formatServiceObjectName;


  return {
    default: {
      docName: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.authority.default.docName',
            'defaultMessage': 'Item'
          }
        }),
        order: 10,
        width: 200
      },
      docType: {
        formatValue: formatServiceObjectName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.authority.default.docType',
            'defaultMessage': 'Type'
          }
        }),
        order: 20,
        width: 150
      },
      vocabulary: {
        dataKey: 'refName',
        formatValue: formatRefNameAsVocabularyName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.authority.default.vocabulary',
            'defaultMessage': 'Vocabulary'
          }
        }),
        order: 30,
        width: 150
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.authority.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        order: 40,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};