'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function (pluginContext) {
  var _relRelationsCommon, _otherNumber, _otherNumberList, _responsibleDepartmen2, _briefDescriptions, _comments, _titleTranslationSubG, _titleTranslationSubG2, _titleGroup, _titleGroupList, _objectNameGroup, _objectNameList, _objectStatusList, _forms, _styles, _colors, _materialGroup, _materialGroupList, _objectComponentGroup, _objectComponentGroup2, _technicalAttributeGr, _technicalAttributeGr2, _Object$assign2, _contentLanguages, _contentActivities, _contentConcepts, _contentPositions, _contentObjectGroup, _contentObjectGroupLi, _contentPeoples, _contentPersons, _contentPlaces, _contentScripts, _contentOrganizations, _contentEventNameGrou, _contentEventNameGrou2, _contentOtherGroup, _contentOtherGroupLis, _textualInscriptionGr, _textualInscriptionGr2, _nonTextualInscriptio, _nonTextualInscriptio2, _objectProductionDate2, _techniqueGroup, _techniqueGroupList, _objectProductionPlac3, _objectProductionPlac4, _objectProductionReas2, _objectProductionPeop3, _objectProductionPeop4, _objectProductionPers3, _objectProductionPers4, _objectProductionOrga3, _objectProductionOrga4, _assocActivityGroup, _assocActivityGroupLi, _assocObjectGroup, _assocObjectGroupList, _assocConceptGroup, _assocConceptGroupLis, _assocCulturalContext4, _assocCulturalContext5, _assocOrganizationGro, _assocOrganizationGro2, _assocPeopleGroup, _assocPeopleGroupList, _assocPersonGroup, _assocPersonGroupList, _assocPlaceGroup, _assocPlaceGroupList, _assocEventOrganizati2, _assocEventPeoples, _assocEventPersons, _assocEventPlaces, _assocDateGroup, _assocDateGroupList, _usageGroup, _usageGroupList, _owners, _ownershipDateGroupLi, _ownersReferences, _viewersReferences, _referenceGroup, _referenceGroupList, _fieldCollectionMetho2, _fieldCollectionSourc2, _fieldCollectors, _fieldColEventNames;

  var _pluginContext$inputC = pluginContext.inputComponents,
      AutocompleteInput = _pluginContext$inputC.AutocompleteInput,
      CompoundInput = _pluginContext$inputC.CompoundInput,
      DateInput = _pluginContext$inputC.DateInput,
      HierarchyInput = _pluginContext$inputC.HierarchyInput,
      IDGeneratorInput = _pluginContext$inputC.IDGeneratorInput,
      OptionPickerInput = _pluginContext$inputC.OptionPickerInput,
      StructuredDateInput = _pluginContext$inputC.StructuredDateInput,
      TextInput = _pluginContext$inputC.TextInput,
      TermPickerInput = _pluginContext$inputC.TermPickerInput;
  var config = pluginContext.configHelpers.configKey;
  var _pluginContext$dataTy = pluginContext.dataTypes,
      DATA_TYPE_INT = _pluginContext$dataTy.DATA_TYPE_INT,
      DATA_TYPE_FLOAT = _pluginContext$dataTy.DATA_TYPE_FLOAT;
  var extensions = pluginContext.config.extensions;


  return {
    document: Object.assign(_defineProperty({}, config, {
      view: {
        type: CompoundInput,
        props: {
          defaultChildSubpath: 'ns2:collectionobjects_common'
        }
      }
    }), extensions.core.fields, {
      'rel:relations-common-list': (_relRelationsCommon = {}, _defineProperty(_relRelationsCommon, config, {
        service: {
          ns: 'http://collectionspace.org/services/relation'
        }
      }), _defineProperty(_relRelationsCommon, 'relation-list-item', _defineProperty({}, config, {
        view: {
          type: HierarchyInput,
          props: {
            parentTypeOptionListName: 'objectParentTypes',
            childTypeOptionListName: 'objectChildTypes',
            messages: (0, _reactIntl.defineMessages)({
              parent: {
                'id': 'hierarchyInput.collectionobject.parent',
                'defaultMessage': 'Broader object'
              },
              parentType: {
                'id': 'hierarchyInput.collectionobject.parentType',
                'defaultMessage': 'Type'
              },
              children: {
                'id': 'hierarchyInput.collectionobject.children',
                'defaultMessage': 'Component objects'
              },
              child: {
                'id': 'hierarchyInput.collectionobject.child',
                'defaultMessage': 'Object'
              },
              childType: {
                'id': 'hierarchyInput.collectionobject.childType',
                'defaultMessage': 'Type'
              },
              siblings: {
                'id': 'hierarchyInput.collectionobject.siblings',
                'defaultMessage': 'Adjacent objects'
              }
            })
          }
        }
      })), _relRelationsCommon),
      'ns2:collectionobjects_common': Object.assign((_Object$assign2 = {}, _defineProperty(_Object$assign2, config, {
        service: {
          ns: 'http://collectionspace.org/services/collectionobject'
        }
      }), _defineProperty(_Object$assign2, 'objectNumber', _defineProperty({}, config, {
        cloneable: false,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectNumber.name',
            'defaultMessage': 'Identification number'
          }
        }),
        required: true,
        searchView: {
          type: TextInput
        },
        view: {
          type: IDGeneratorInput,
          props: {
            idGeneratorName: 'accession,intake,loanin'
          }
        }
      })), _defineProperty(_Object$assign2, 'numberOfObjects', _defineProperty({}, config, {
        dataType: DATA_TYPE_INT,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.numberOfObjects.name',
            'defaultMessage': 'Number of objects'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_Object$assign2, 'otherNumberList', (_otherNumberList = {}, _defineProperty(_otherNumberList, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_otherNumberList, 'otherNumber', (_otherNumber = {}, _defineProperty(_otherNumber, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.otherNumber.name',
            'defaultMessage': 'Other number'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_otherNumber, 'numberValue', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.numberValue.name',
            'defaultMessage': 'Number'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_otherNumber, 'numberType', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.numberType.name',
            'defaultMessage': 'Type'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'numberTypes'
          }
        }
      })), _otherNumber)), _otherNumberList)), _defineProperty(_Object$assign2, 'responsibleDepartments', (_responsibleDepartmen2 = {}, _defineProperty(_responsibleDepartmen2, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_responsibleDepartmen2, 'responsibleDepartment', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.responsibleDepartment.name',
            'defaultMessage': 'Responsible department'
          }
        }),
        repeating: true,
        view: {
          type: OptionPickerInput,
          props: {
            source: 'departments'
          }
        }
      })), _responsibleDepartmen2)), _defineProperty(_Object$assign2, 'collection', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.collection.name',
            'defaultMessage': 'Collection'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'collections'
          }
        }
      })), _defineProperty(_Object$assign2, 'recordStatus', _defineProperty({}, config, {
        defaultValue: 'new',
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.recordStatus.name',
            'defaultMessage': 'Record status'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'recordStatuses'
          }
        }
      })), _defineProperty(_Object$assign2, 'briefDescriptions', (_briefDescriptions = {}, _defineProperty(_briefDescriptions, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_briefDescriptions, 'briefDescription', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.briefDescription.name',
            'defaultMessage': 'Brief description'
          }
        }),
        repeating: true,
        view: {
          type: TextInput,
          props: {
            multiline: true
          }
        }
      })), _briefDescriptions)), _defineProperty(_Object$assign2, 'distinguishingFeatures', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.distinguishingFeatures.name',
            'defaultMessage': 'Distinguishing features'
          }
        }),
        view: {
          type: TextInput,
          props: {
            multiline: true
          }
        }
      })), _defineProperty(_Object$assign2, 'comments', (_comments = {}, _defineProperty(_comments, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_comments, 'comment', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.comment.name',
            'defaultMessage': 'Comment'
          }
        }),
        repeating: true,
        view: {
          type: TextInput,
          props: {
            multiline: true
          }
        }
      })), _comments)), _defineProperty(_Object$assign2, 'computedCurrentLocation', _defineProperty({}, config, {
        cloneable: false,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.computedCurrentLocation.name',
            'defaultMessage': 'Computed current location'
          }
        }),
        view: {
          type: AutocompleteInput,
          props: {
            source: 'location/local,location/offsite,organization/local,organization/shared',
            readOnly: true
          }
        }
      })), _defineProperty(_Object$assign2, 'titleGroupList', (_titleGroupList = {}, _defineProperty(_titleGroupList, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_titleGroupList, 'titleGroup', (_titleGroup = {}, _defineProperty(_titleGroup, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.titleGroup.name',
            'defaultMessage': 'Title'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_titleGroup, 'title', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.title.name',
            'defaultMessage': 'Title'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_titleGroup, 'titleLanguage', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.titleLanguage.name',
            'defaultMessage': 'Language'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'languages'
          }
        }
      })), _defineProperty(_titleGroup, 'titleTranslationSubGroupList', (_titleTranslationSubG2 = {}, _defineProperty(_titleTranslationSubG2, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_titleTranslationSubG2, 'titleTranslationSubGroup', (_titleTranslationSubG = {}, _defineProperty(_titleTranslationSubG, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.titleTranslationSubGroup.name',
            'defaultMessage': 'Translation'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_titleTranslationSubG, 'titleTranslation', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.titleTranslation.name',
            'defaultMessage': 'Translation'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_titleTranslationSubG, 'titleTranslationLanguage', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.titleTranslationLanguage.name',
            'defaultMessage': 'Language'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'languages'
          }
        }
      })), _titleTranslationSubG)), _titleTranslationSubG2)), _defineProperty(_titleGroup, 'titleType', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.titleType.name',
            'defaultMessage': 'Type'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'titleTypes'
          }
        }
      })), _titleGroup)), _titleGroupList)), _defineProperty(_Object$assign2, 'objectNameList', (_objectNameList = {}, _defineProperty(_objectNameList, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_objectNameList, 'objectNameGroup', (_objectNameGroup = {}, _defineProperty(_objectNameGroup, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectNameGroup.name',
            'defaultMessage': 'Object name'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_objectNameGroup, 'objectName', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectName.name',
            'defaultMessage': 'Name'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_objectNameGroup, 'objectNameCurrency', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectNameCurrency.name',
            'defaultMessage': 'Currency'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'nameCurrencies'
          }
        }
      })), _defineProperty(_objectNameGroup, 'objectNameLevel', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectNameLevel.name',
            'defaultMessage': 'Level'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'nameLevels'
          }
        }
      })), _defineProperty(_objectNameGroup, 'objectNameSystem', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectNameSystem.name',
            'defaultMessage': 'System'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'nameSystems'
          }
        }
      })), _defineProperty(_objectNameGroup, 'objectNameType', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectNameType.name',
            'defaultMessage': 'Type'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'nameTypes'
          }
        }
      })), _defineProperty(_objectNameGroup, 'objectNameLanguage', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectNameLanguage.name',
            'defaultMessage': 'Language'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'languages'
          }
        }
      })), _defineProperty(_objectNameGroup, 'objectNameNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectNameNote.name',
            'defaultMessage': 'Note'
          }
        }),
        view: {
          type: TextInput
        }
      })), _objectNameGroup)), _objectNameList)), _defineProperty(_Object$assign2, 'copyNumber', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.copyNumber.name',
            'defaultMessage': 'Copy number'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_Object$assign2, 'objectStatusList', (_objectStatusList = {}, _defineProperty(_objectStatusList, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_objectStatusList, 'objectStatus', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectStatus.name',
            'defaultMessage': 'Object status'
          }
        }),
        repeating: true,
        view: {
          type: OptionPickerInput,
          props: {
            source: 'objectStatuses'
          }
        }
      })), _objectStatusList)), _defineProperty(_Object$assign2, 'sex', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.sex.name',
            'defaultMessage': 'Sex'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'sexes'
          }
        }
      })), _defineProperty(_Object$assign2, 'phase', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.phase.name',
            'defaultMessage': 'Phase'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'phases'
          }
        }
      })), _defineProperty(_Object$assign2, 'forms', (_forms = {}, _defineProperty(_forms, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_forms, 'form', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.form.name',
            'defaultMessage': 'Form'
          }
        }),
        repeating: true,
        view: {
          type: OptionPickerInput,
          props: {
            source: 'forms'
          }
        }
      })), _forms)), _defineProperty(_Object$assign2, 'editionNumber', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.editionNumber.name',
            'defaultMessage': 'Edition number'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_Object$assign2, 'age', _defineProperty({}, config, {
        dataType: DATA_TYPE_INT,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.age.name',
            'defaultMessage': 'Value'
          },
          fullName: {
            'id': 'field.collectionobjects_common.age.fullName',
            'defaultMessage': 'Age value'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_Object$assign2, 'ageQualifier', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.ageQualifier.name',
            'defaultMessage': 'Qualifier'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'agequalifier'
          }
        }
      })), _defineProperty(_Object$assign2, 'ageUnit', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.ageUnit.name',
            'defaultMessage': 'Unit'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'ageUnits'
          }
        }
      })), _defineProperty(_Object$assign2, 'styles', (_styles = {}, _defineProperty(_styles, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_styles, 'style', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.style.name',
            'defaultMessage': 'Style'
          }
        }),
        repeating: true,
        view: {
          type: TextInput
        }
      })), _styles)), _defineProperty(_Object$assign2, 'colors', (_colors = {}, _defineProperty(_colors, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_colors, 'color', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.color.name',
            'defaultMessage': 'Color'
          }
        }),
        repeating: true,
        view: {
          type: TextInput
        }
      })), _colors)), _defineProperty(_Object$assign2, 'materialGroupList', (_materialGroupList = {}, _defineProperty(_materialGroupList, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_materialGroupList, 'materialGroup', (_materialGroup = {}, _defineProperty(_materialGroup, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.materialGroup.name',
            'defaultMessage': 'Material'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_materialGroup, 'material', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.material.name',
            'defaultMessage': 'Material'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_materialGroup, 'materialComponent', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          fullName: {
            'id': 'field.collectionobjects_common.materialComponent.fullName',
            'defaultMessage': 'Material component'
          },
          name: {
            'id': 'field.collectionobjects_common.materialComponent.name',
            'defaultMessage': 'Component'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_materialGroup, 'materialComponentNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          fullName: {
            'id': 'field.collectionobjects_common.materialComponentNote.fullName',
            'defaultMessage': 'Material component note'
          },
          name: {
            'id': 'field.collectionobjects_common.materialComponentNote.name',
            'defaultMessage': 'Component note'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_materialGroup, 'materialName', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          fullName: {
            'id': 'field.collectionobjects_common.materialName.fullName',
            'defaultMessage': 'Material name'
          },
          name: {
            'id': 'field.collectionobjects_common.materialName.name',
            'defaultMessage': 'Name'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_materialGroup, 'materialSource', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          fullName: {
            'id': 'field.collectionobjects_common.materialSource.fullName',
            'defaultMessage': 'Material source'
          },
          name: {
            'id': 'field.collectionobjects_common.materialSource.name',
            'defaultMessage': 'Source'
          }
        }),
        view: {
          type: TextInput
        }
      })), _materialGroup)), _materialGroupList)), _defineProperty(_Object$assign2, 'physicalDescription', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.physicalDescription.name',
            'defaultMessage': 'Physical description'
          }
        }),
        view: {
          type: TextInput,
          props: {
            multiline: true
          }
        }
      })), _defineProperty(_Object$assign2, 'objectComponentGroupList', (_objectComponentGroup2 = {}, _defineProperty(_objectComponentGroup2, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_objectComponentGroup2, 'objectComponentGroup', (_objectComponentGroup = {}, _defineProperty(_objectComponentGroup, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectComponentGroup.name',
            'defaultMessage': 'Object component'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_objectComponentGroup, 'objectComponentName', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          fullName: {
            'id': 'field.collectionobjects_common.objectComponentName.fullName',
            'defaultMessage': 'Object component name'
          },
          name: {
            'id': 'field.collectionobjects_common.objectComponentName.name',
            'defaultMessage': 'Name'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'objectComponentNames'
          }
        }
      })), _defineProperty(_objectComponentGroup, 'objectComponentInformation', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.objectComponentInformation.name',
            'defaultMessage': 'Information'
          }
        }),
        view: {
          type: TextInput
        }
      })), _objectComponentGroup)), _objectComponentGroup2)), _defineProperty(_Object$assign2, 'technicalAttributeGroupList', (_technicalAttributeGr2 = {}, _defineProperty(_technicalAttributeGr2, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_technicalAttributeGr2, 'technicalAttributeGroup', (_technicalAttributeGr = {}, _defineProperty(_technicalAttributeGr, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.technicalAttributeGroup.name',
            'defaultMessage': 'Technical attribute'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_technicalAttributeGr, 'technicalAttribute', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          fullName: {
            'id': 'field.collectionobjects_common.technicalAttribute.fullName',
            'defaultMessage': 'Technical attribute'
          },
          name: {
            'id': 'field.collectionobjects_common.technicalAttribute.name',
            'defaultMessage': 'Attribute'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'technicalAttributes'
          }
        }
      })), _defineProperty(_technicalAttributeGr, 'technicalAttributeMeasurement', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.technicalAttributeMeasurement.name',
            'defaultMessage': 'Measurement'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'technicalAttributeMeasurements'
          }
        }
      })), _defineProperty(_technicalAttributeGr, 'technicalAttributeMeasurementUnit', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionobjects_common.technicalAttributeMeasurementUnit.name',
            'defaultMessage': 'Unit'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'technicalAttributeMeasurementUnits'
          }
        }
      })), _technicalAttributeGr)), _technicalAttributeGr2)), _Object$assign2), extensions.dimension.fields, {
        contentDescription: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentDescription.name',
              'defaultMessage': 'Description'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        }),
        contentLanguages: (_contentLanguages = {}, _defineProperty(_contentLanguages, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentLanguages, 'contentLanguage', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentLanguage.name',
              'defaultMessage': 'Language'
            }
          }),
          repeating: true,
          view: {
            type: TermPickerInput,
            props: {
              source: 'languages'
            }
          }
        })), _contentLanguages),
        contentActivities: (_contentActivities = {}, _defineProperty(_contentActivities, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentActivities, 'contentActivity', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentActivity.name',
              'defaultMessage': 'Activity'
            }
          }),
          repeating: true,
          view: {
            type: TextInput
          }
        })), _contentActivities),
        contentConcepts: (_contentConcepts = {}, _defineProperty(_contentConcepts, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentConcepts, 'contentConcept', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.contentConcept.fullName',
              'defaultMessage': 'Content concept'
            },
            name: {
              'id': 'field.collectionobjects_common.contentConcept.name',
              'defaultMessage': 'Concept'
            }
          }),
          repeating: true,
          view: {
            type: AutocompleteInput,
            props: {
              source: 'concept/associated,concept/material,concept/material_shared'
            }
          }
        })), _contentConcepts),
        contentDateGroup: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentDateGroup.name',
              'defaultMessage': 'Date'
            }
          }),
          view: {
            type: StructuredDateInput
          }
        }),
        contentPositions: (_contentPositions = {}, _defineProperty(_contentPositions, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentPositions, 'contentPosition', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentPosition.name',
              'defaultMessage': 'Position'
            }
          }),
          repeating: true,
          view: {
            type: OptionPickerInput,
            props: {
              source: 'positions'
            }
          }
        })), _contentPositions),
        contentObjectGroupList: (_contentObjectGroupLi = {}, _defineProperty(_contentObjectGroupLi, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentObjectGroupLi, 'contentObjectGroup', (_contentObjectGroup = {}, _defineProperty(_contentObjectGroup, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentObjectGroup.name',
              'defaultMessage': 'Object'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_contentObjectGroup, 'contentObject', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentObject.name',
              'defaultMessage': 'Name'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_contentObjectGroup, 'contentObjectType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentObjectType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: OptionPickerInput,
            props: {
              source: 'contentObjectTypes'
            }
          }
        })), _contentObjectGroup)), _contentObjectGroupLi),
        contentPeoples: (_contentPeoples = {}, _defineProperty(_contentPeoples, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentPeoples, 'contentPeople', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentPeople.name',
              'defaultMessage': 'People'
            }
          }),
          repeating: true,
          view: {
            type: TextInput
          }
        })), _contentPeoples),
        contentPersons: (_contentPersons = {}, _defineProperty(_contentPersons, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentPersons, 'contentPerson', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentPerson.name',
              'defaultMessage': 'Person'
            },
            fullName: {
              'id': 'field.collectionobjects_common.contentPerson.fullName',
              'defaultMessage': 'Content person'
            }
          }),
          repeating: true,
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,person/shared,person/ulan'
            }
          }
        })), _contentPersons),
        contentPlaces: (_contentPlaces = {}, _defineProperty(_contentPlaces, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentPlaces, 'contentPlace', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentPlace.name',
              'defaultMessage': 'Place'
            }
          }),
          repeating: true,
          view: {
            type: TextInput
          }
        })), _contentPlaces),
        contentScripts: (_contentScripts = {}, _defineProperty(_contentScripts, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentScripts, 'contentScript', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentScript.name',
              'defaultMessage': 'Script'
            }
          }),
          repeating: true,
          view: {
            type: OptionPickerInput,
            props: {
              source: 'scripts'
            }
          }
        })), _contentScripts),
        contentOrganizations: (_contentOrganizations = {}, _defineProperty(_contentOrganizations, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentOrganizations, 'contentOrganization', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentOrganization.name',
              'defaultMessage': 'Organization'
            },
            fullName: {
              'id': 'field.collectionobjects_common.contentOrganization.fullName',
              'defaultMessage': 'Content organization'
            }
          }),
          repeating: true,
          view: {
            type: AutocompleteInput,
            props: {
              source: 'organization/local,organization/shared,organization/ulan'
            }
          }
        })), _contentOrganizations),
        contentEventNameGroupList: (_contentEventNameGrou2 = {}, _defineProperty(_contentEventNameGrou2, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentEventNameGrou2, 'contentEventNameGroup', (_contentEventNameGrou = {}, _defineProperty(_contentEventNameGrou, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentEventNameGroup.name',
              'defaultMessage': 'Event'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_contentEventNameGrou, 'contentEventName', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentEventName.name',
              'defaultMessage': 'Name'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_contentEventNameGrou, 'contentEventNameType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentEventNameType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _contentEventNameGrou)), _contentEventNameGrou2),
        contentOtherGroupList: (_contentOtherGroupLis = {}, _defineProperty(_contentOtherGroupLis, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_contentOtherGroupLis, 'contentOtherGroup', (_contentOtherGroup = {}, _defineProperty(_contentOtherGroup, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentOtherGroup.name',
              'defaultMessage': 'Other'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_contentOtherGroup, 'contentOther', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentOther.name',
              'defaultMessage': 'Name'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_contentOtherGroup, 'contentOtherType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentOtherType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _contentOtherGroup)), _contentOtherGroupLis),
        contentNote: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.contentNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        }),
        textualInscriptionGroupList: (_textualInscriptionGr2 = {}, _defineProperty(_textualInscriptionGr2, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_textualInscriptionGr2, 'textualInscriptionGroup', (_textualInscriptionGr = {}, _defineProperty(_textualInscriptionGr, config, {
          repeating: true,
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_textualInscriptionGr, 'inscriptionContent', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionContent.name',
              'defaultMessage': 'Inscription content'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        })), _defineProperty(_textualInscriptionGr, 'inscriptionContentInscriber', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.inscriptionContentInscriber.fullName',
              'defaultMessage': 'Textual inscription inscriber'
            },
            name: {
              'id': 'field.collectionobjects_common.inscriptionContentInscriber.name',
              'defaultMessage': 'Inscriber'
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,organization/local,organization/shared'
            }
          }
        })), _defineProperty(_textualInscriptionGr, 'inscriptionContentLanguage', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionContentLanguage.name',
              'defaultMessage': 'Language'
            }
          }),
          view: {
            type: TermPickerInput,
            props: {
              source: 'languages'
            }
          }
        })), _defineProperty(_textualInscriptionGr, 'inscriptionContentDateGroup', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionContentDateGroup.name',
              'defaultMessage': 'Date'
            }
          }),
          view: {
            type: StructuredDateInput
          }
        })), _defineProperty(_textualInscriptionGr, 'inscriptionContentPosition', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionContentPosition.name',
              'defaultMessage': 'Position'
            }
          }),
          view: {
            type: OptionPickerInput,
            props: {
              source: 'positions'
            }
          }
        })), _defineProperty(_textualInscriptionGr, 'inscriptionContentScript', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionContentScript.name',
              'defaultMessage': 'Script'
            }
          }),
          view: {
            type: OptionPickerInput,
            props: {
              source: 'scripts'
            }
          }
        })), _defineProperty(_textualInscriptionGr, 'inscriptionContentType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionContentType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: OptionPickerInput,
            props: {
              source: 'inscriptionTypes'
            }
          }
        })), _defineProperty(_textualInscriptionGr, 'inscriptionContentMethod', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionContentMethod.name',
              'defaultMessage': 'Method'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_textualInscriptionGr, 'inscriptionContentInterpretation', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionContentInterpretation.name',
              'defaultMessage': 'Interpretation'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        })), _defineProperty(_textualInscriptionGr, 'inscriptionContentTranslation', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionContentTranslation.name',
              'defaultMessage': 'Translation'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_textualInscriptionGr, 'inscriptionContentTransliteration', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionContentTransliteration.name',
              'defaultMessage': 'Transliteration'
            }
          }),
          view: {
            type: TextInput
          }
        })), _textualInscriptionGr)), _textualInscriptionGr2),
        nonTextualInscriptionGroupList: (_nonTextualInscriptio2 = {}, _defineProperty(_nonTextualInscriptio2, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_nonTextualInscriptio2, 'nonTextualInscriptionGroup', (_nonTextualInscriptio = {}, _defineProperty(_nonTextualInscriptio, config, {
          repeating: true,
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_nonTextualInscriptio, 'inscriptionDescription', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionDescription.name',
              'defaultMessage': 'Inscription description'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        })), _defineProperty(_nonTextualInscriptio, 'inscriptionDescriptionInscriber', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.inscriptionDescriptionInscriber.fullName',
              'defaultMessage': 'Non-textual inscription inscriber'
            },
            name: {
              'id': 'field.collectionobjects_common.inscriptionDescriptionInscriber.name',
              'defaultMessage': 'Inscriber'
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,person/shared,organization/local,organization/shared'
            }
          }
        })), _defineProperty(_nonTextualInscriptio, 'inscriptionDescriptionDateGroup', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionDescriptionDateGroup.name',
              'defaultMessage': 'Date'
            }
          }),
          view: {
            type: StructuredDateInput
          }
        })), _defineProperty(_nonTextualInscriptio, 'inscriptionDescriptionPosition', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionDescriptionPosition.name',
              'defaultMessage': 'Position'
            }
          }),
          view: {
            type: OptionPickerInput,
            props: {
              source: 'positions'
            }
          }
        })), _defineProperty(_nonTextualInscriptio, 'inscriptionDescriptionType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionDescriptionType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: OptionPickerInput,
            props: {
              source: 'inscriptionTypes'
            }
          }
        })), _defineProperty(_nonTextualInscriptio, 'inscriptionDescriptionMethod', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.inscriptionDescriptionMethod.fullName',
              'defaultMessage': 'Non-textual inscription method'
            },
            name: {
              'id': 'field.collectionobjects_common.inscriptionDescriptionMethod.name',
              'defaultMessage': 'Method'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_nonTextualInscriptio, 'inscriptionDescriptionInterpretation', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.inscriptionDescriptionInterpretation.name',
              'defaultMessage': 'Interpretation'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        })), _nonTextualInscriptio)), _nonTextualInscriptio2),
        objectProductionDateGroupList: (_objectProductionDate2 = {}, _defineProperty(_objectProductionDate2, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_objectProductionDate2, 'objectProductionDateGroup', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectProductionDateGroup.name',
              'defaultMessage': 'Production date'
            }
          }),
          repeating: true,
          searchView: {
            type: DateInput
          },
          view: {
            type: StructuredDateInput
          }
        })), _objectProductionDate2),
        techniqueGroupList: (_techniqueGroupList = {}, _defineProperty(_techniqueGroupList, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_techniqueGroupList, 'techniqueGroup', (_techniqueGroup = {}, _defineProperty(_techniqueGroup, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.techniqueGroup.name',
              'defaultMessage': 'Production technique'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_techniqueGroup, 'technique', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.technique.fullName',
              'defaultMessage': 'Production technique'
            },
            name: {
              'id': 'field.collectionobjects_common.technique.name',
              'defaultMessage': 'Technique'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_techniqueGroup, 'techniqueType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.techniqueType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _techniqueGroup)), _techniqueGroupList),
        objectProductionPlaceGroupList: (_objectProductionPlac4 = {}, _defineProperty(_objectProductionPlac4, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_objectProductionPlac4, 'objectProductionPlaceGroup', (_objectProductionPlac3 = {}, _defineProperty(_objectProductionPlac3, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectProductionPlaceGroup.name',
              'defaultMessage': 'Production place'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_objectProductionPlac3, 'objectProductionPlace', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.objectProductionPlace.fullName',
              'defaultMessage': 'Production place'
            },
            name: {
              'id': 'field.collectionobjects_common.objectProductionPlace.name',
              'defaultMessage': 'Place'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_objectProductionPlac3, 'objectProductionPlaceRole', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectProductionPlaceRole.name',
              'defaultMessage': 'Role'
            }
          }),
          view: {
            type: TextInput
          }
        })), _objectProductionPlac3)), _objectProductionPlac4),
        objectProductionReasons: (_objectProductionReas2 = {}, _defineProperty(_objectProductionReas2, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_objectProductionReas2, 'objectProductionReason', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectProductionReason.name',
              'defaultMessage': 'Production reason'
            }
          }),
          repeating: true,
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        })), _objectProductionReas2),
        objectProductionPeopleGroupList: (_objectProductionPeop4 = {}, _defineProperty(_objectProductionPeop4, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_objectProductionPeop4, 'objectProductionPeopleGroup', (_objectProductionPeop3 = {}, _defineProperty(_objectProductionPeop3, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectProductionPeopleGroup.name',
              'defaultMessage': 'Production people'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_objectProductionPeop3, 'objectProductionPeople', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.objectProductionPeople.fullName',
              'defaultMessage': 'Production people'
            },
            name: {
              'id': 'field.collectionobjects_common.objectProductionPeople.name',
              'defaultMessage': 'People'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_objectProductionPeop3, 'objectProductionPeopleRole', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectProductionPeopleRole.name',
              'defaultMessage': 'Role'
            }
          }),
          view: {
            type: TextInput
          }
        })), _objectProductionPeop3)), _objectProductionPeop4),
        objectProductionPersonGroupList: (_objectProductionPers4 = {}, _defineProperty(_objectProductionPers4, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_objectProductionPers4, 'objectProductionPersonGroup', (_objectProductionPers3 = {}, _defineProperty(_objectProductionPers3, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectProductionPersonGroup.name',
              'defaultMessage': 'Production person'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_objectProductionPers3, 'objectProductionPerson', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.objectProductionPerson.fullName',
              'defaultMessage': 'Production person'
            },
            name: {
              'id': 'field.collectionobjects_common.objectProductionPerson.name',
              'defaultMessage': 'Person'
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,person/shared'
            }
          }
        })), _defineProperty(_objectProductionPers3, 'objectProductionPersonRole', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectProductionPersonRole.name',
              'defaultMessage': 'Role'
            }
          }),
          view: {
            type: TextInput
          }
        })), _objectProductionPers3)), _objectProductionPers4),
        objectProductionOrganizationGroupList: (_objectProductionOrga4 = {}, _defineProperty(_objectProductionOrga4, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_objectProductionOrga4, 'objectProductionOrganizationGroup', (_objectProductionOrga3 = {}, _defineProperty(_objectProductionOrga3, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectProductionOrganizationGroup.name',
              'defaultMessage': 'Production organization'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_objectProductionOrga3, 'objectProductionOrganization', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.objectProductionOrganization.fullName',
              'defaultMessage': 'Production organization'
            },
            name: {
              'id': 'field.collectionobjects_common.objectProductionOrganization.name',
              'defaultMessage': 'Organization'
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'organization/local,organization/shared'
            }
          }
        })), _defineProperty(_objectProductionOrga3, 'objectProductionOrganizationRole', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectProductionOrganizationRole.name',
              'defaultMessage': 'Role'
            }
          }),
          view: {
            type: TextInput
          }
        })), _objectProductionOrga3)), _objectProductionOrga4),
        objectProductionNote: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectProductionNote.name',
              'defaultMessage': 'Production note'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        }),
        assocActivityGroupList: (_assocActivityGroupLi = {}, _defineProperty(_assocActivityGroupLi, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocActivityGroupLi, 'assocActivityGroup', (_assocActivityGroup = {}, _defineProperty(_assocActivityGroup, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocActivityGroup.name',
              'defaultMessage': 'Associated activity'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_assocActivityGroup, 'assocActivity', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocActivity.name',
              'defaultMessage': 'Activity'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocActivityGroup, 'assocActivityType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocActivityType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocActivityGroup, 'assocActivityNote', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocActivityNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        })), _assocActivityGroup)), _assocActivityGroupLi),
        assocObjectGroupList: (_assocObjectGroupList = {}, _defineProperty(_assocObjectGroupList, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocObjectGroupList, 'assocObjectGroup', (_assocObjectGroup = {}, _defineProperty(_assocObjectGroup, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocObjectGroup.name',
              'defaultMessage': 'Associated object'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_assocObjectGroup, 'assocObject', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocObject.name',
              'defaultMessage': 'Object'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocObjectGroup, 'assocObjectType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocObjectType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocObjectGroup, 'assocObjectNote', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocObjectNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        })), _assocObjectGroup)), _assocObjectGroupList),
        assocConceptGroupList: (_assocConceptGroupLis = {}, _defineProperty(_assocConceptGroupLis, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocConceptGroupLis, 'assocConceptGroup', (_assocConceptGroup = {}, _defineProperty(_assocConceptGroup, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocConceptGroup.name',
              'defaultMessage': 'Associated concept'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_assocConceptGroup, 'assocConcept', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.assocConcept.fullName',
              'defaultMessage': 'Associated concept'
            },
            name: {
              'id': 'field.collectionobjects_common.assocConcept.name',
              'defaultMessage': 'Concept'
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'concept/associated'
            }
          }
        })), _defineProperty(_assocConceptGroup, 'assocConceptType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocConceptType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocConceptGroup, 'assocConceptNote', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocConceptNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        })), _assocConceptGroup)), _assocConceptGroupLis),
        assocCulturalContextGroupList: (_assocCulturalContext5 = {}, _defineProperty(_assocCulturalContext5, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocCulturalContext5, 'assocCulturalContextGroup', (_assocCulturalContext4 = {}, _defineProperty(_assocCulturalContext4, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocCulturalContextGroup.name',
              'defaultMessage': 'Associated cultural affinity'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_assocCulturalContext4, 'assocCulturalContext', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocCulturalContext.name',
              'defaultMessage': 'Cultural affinity'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocCulturalContext4, 'assocCulturalContextType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocCulturalContextType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocCulturalContext4, 'assocCulturalContextNote', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocCulturalContextNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        })), _assocCulturalContext4)), _assocCulturalContext5),
        assocOrganizationGroupList: (_assocOrganizationGro2 = {}, _defineProperty(_assocOrganizationGro2, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocOrganizationGro2, 'assocOrganizationGroup', (_assocOrganizationGro = {}, _defineProperty(_assocOrganizationGro, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocOrganizationGroup.name',
              'defaultMessage': 'Associated organization'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_assocOrganizationGro, 'assocOrganization', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.assocOrganization.fullName',
              'defaultMessage': 'Associated organization'
            },
            name: {
              'id': 'field.collectionobjects_common.assocOrganization.name',
              'defaultMessage': 'Organization'
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'organization/local,organization/shared'
            }
          }
        })), _defineProperty(_assocOrganizationGro, 'assocOrganizationType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocOrganizationType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocOrganizationGro, 'assocOrganizationNote', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocOrganizationNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        })), _assocOrganizationGro)), _assocOrganizationGro2),
        assocPeopleGroupList: (_assocPeopleGroupList = {}, _defineProperty(_assocPeopleGroupList, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocPeopleGroupList, 'assocPeopleGroup', (_assocPeopleGroup = {}, _defineProperty(_assocPeopleGroup, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocPeopleGroup.name',
              'defaultMessage': 'Associated people'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_assocPeopleGroup, 'assocPeople', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocPeople.name',
              'defaultMessage': 'People'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocPeopleGroup, 'assocPeopleType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocPeopleType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocPeopleGroup, 'assocPeopleNote', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocPeopleNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        })), _assocPeopleGroup)), _assocPeopleGroupList),
        assocPersonGroupList: (_assocPersonGroupList = {}, _defineProperty(_assocPersonGroupList, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocPersonGroupList, 'assocPersonGroup', (_assocPersonGroup = {}, _defineProperty(_assocPersonGroup, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocPersonGroup.name',
              'defaultMessage': 'Associated person'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_assocPersonGroup, 'assocPerson', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.assocPerson.fullName',
              'defaultMessage': 'Associated person'
            },
            name: {
              'id': 'field.collectionobjects_common.assocPerson.name',
              'defaultMessage': 'Person'
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,person/shared'
            }
          }
        })), _defineProperty(_assocPersonGroup, 'assocPersonType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocPersonType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocPersonGroup, 'assocPersonNote', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocPersonNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        })), _assocPersonGroup)), _assocPersonGroupList),
        assocPlaceGroupList: (_assocPlaceGroupList = {}, _defineProperty(_assocPlaceGroupList, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocPlaceGroupList, 'assocPlaceGroup', (_assocPlaceGroup = {}, _defineProperty(_assocPlaceGroup, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocPlaceGroup.name',
              'defaultMessage': 'Associated place'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_assocPlaceGroup, 'assocPlace', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocPlace.name',
              'defaultMessage': 'Place'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocPlaceGroup, 'assocPlaceType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocPlaceType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocPlaceGroup, 'assocPlaceNote', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocPlaceNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        })), _assocPlaceGroup)), _assocPlaceGroupList),
        assocEventName: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocEventName.name',
              'defaultMessage': 'Event'
            }
          }),
          view: {
            type: TextInput
          }
        }),
        assocEventNameType: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocEventNameType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        }),
        assocEventOrganizations: (_assocEventOrganizati2 = {}, _defineProperty(_assocEventOrganizati2, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocEventOrganizati2, 'assocEventOrganization', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocEventOrganization.name',
              'defaultMessage': 'Associated event organization'
            }
          }),
          repeating: true,
          view: {
            type: AutocompleteInput,
            props: {
              source: 'organization/local,organization/shared'
            }
          }
        })), _assocEventOrganizati2),
        assocEventPeoples: (_assocEventPeoples = {}, _defineProperty(_assocEventPeoples, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocEventPeoples, 'assocEventPeople', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocEventPeople.name',
              'defaultMessage': 'Associated event people'
            }
          }),
          repeating: true,
          view: {
            type: TextInput
          }
        })), _assocEventPeoples),
        assocEventPersons: (_assocEventPersons = {}, _defineProperty(_assocEventPersons, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocEventPersons, 'assocEventPerson', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocEventPerson.name',
              'defaultMessage': 'Associated event person'
            }
          }),
          repeating: true,
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,person/shared'
            }
          }
        })), _assocEventPersons),
        assocEventPlaces: (_assocEventPlaces = {}, _defineProperty(_assocEventPlaces, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocEventPlaces, 'assocEventPlace', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocEventPlace.name',
              'defaultMessage': 'Associated event place'
            }
          }),
          repeating: true,
          view: {
            type: TextInput
          }
        })), _assocEventPlaces),
        assocEventNote: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocEventNote.name',
              'defaultMessage': 'Associated event note'
            }
          }),
          view: {
            type: TextInput
          }
        }),
        assocDateGroupList: (_assocDateGroupList = {}, _defineProperty(_assocDateGroupList, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_assocDateGroupList, 'assocDateGroup', (_assocDateGroup = {}, _defineProperty(_assocDateGroup, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocDateGroup.name',
              'defaultMessage': 'Associated date'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_assocDateGroup, 'assocStructuredDateGroup', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocStructuredDateGroup.name',
              'defaultMessage': 'Date'
            }
          }),
          view: {
            type: StructuredDateInput
          }
        })), _defineProperty(_assocDateGroup, 'assocDateType', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocDateType.name',
              'defaultMessage': 'Type'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_assocDateGroup, 'assocDateNote', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.assocDateNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        })), _assocDateGroup)), _assocDateGroupList),
        objectHistoryNote: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.objectHistoryNote.name',
              'defaultMessage': 'Object history note'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        }),
        usageGroupList: (_usageGroupList = {}, _defineProperty(_usageGroupList, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_usageGroupList, 'usageGroup', (_usageGroup = {}, _defineProperty(_usageGroup, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.usageGroup.name',
              'defaultMessage': 'Usage'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_usageGroup, 'usage', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.usage.name',
              'defaultMessage': 'Usage'
            }
          }),
          view: {
            type: TextInput
          }
        })), _defineProperty(_usageGroup, 'usageNote', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.usageNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        })), _usageGroup)), _usageGroupList),
        owners: (_owners = {}, _defineProperty(_owners, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_owners, 'owner', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.owner.name',
              'defaultMessage': 'Owner'
            }
          }),
          repeating: true,
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,person/shared,organization/local,organization/shared'
            }
          }
        })), _owners),
        ownershipDateGroupList: (_ownershipDateGroupLi = {}, _defineProperty(_ownershipDateGroupLi, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_ownershipDateGroupLi, 'ownershipDateGroup', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.ownershipDateGroup.name',
              'defaultMessage': 'Ownership date'
            }
          }),
          repeating: true,
          view: {
            type: StructuredDateInput
          }
        })), _ownershipDateGroupLi),
        ownershipAccess: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.ownershipAccess.name',
              'defaultMessage': 'Ownership access'
            }
          }),
          view: {
            type: OptionPickerInput,
            props: {
              source: 'ownershipAccessLevels'
            }
          }
        }),
        ownershipCategory: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.ownershipCategory.name',
              'defaultMessage': 'Ownership category'
            }
          }),
          view: {
            type: OptionPickerInput,
            props: {
              source: 'ownershipCategories'
            }
          }
        }),
        ownershipPlace: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.ownershipPlace.name',
              'defaultMessage': 'Ownership place'
            }
          }),
          view: {
            type: TextInput
          }
        }),
        ownershipExchangeMethod: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.ownershipExchangeMethod.name',
              'defaultMessage': 'Method'
            }
          }),
          view: {
            type: OptionPickerInput,
            props: {
              source: 'ownershipExchangeMethods'
            }
          }
        }),
        ownershipExchangeNote: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.ownershipExchangeNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        }),
        ownershipExchangePriceCurrency: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.ownershipExchangePriceCurrency.name',
              'defaultMessage': 'Currency'
            }
          }),
          view: {
            type: TermPickerInput,
            props: {
              source: 'currency'
            }
          }
        }),
        ownershipExchangePriceValue: _defineProperty({}, config, {
          dataType: DATA_TYPE_FLOAT,
          messages: (0, _reactIntl.defineMessages)({
            fullName: {
              'id': 'field.collectionobjects_common.ownershipExchangePriceValue.fullName',
              'defaultMessage': 'Ownership exchange price'
            },
            name: {
              'id': 'field.collectionobjects_common.ownershipExchangePriceValue.name',
              'defaultMessage': 'Price'
            }
          }),
          view: {
            type: TextInput
          }
        }),
        ownersPersonalExperience: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.ownersPersonalExperience.name',
              'defaultMessage': 'Owner\'s personal experience'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        }),
        ownersPersonalResponse: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.ownersPersonalResponse.name',
              'defaultMessage': 'Owner\'s personal response'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        }),
        ownersReferences: (_ownersReferences = {}, _defineProperty(_ownersReferences, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_ownersReferences, 'ownersReference', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.ownersReference.name',
              'defaultMessage': 'Owner\'s reference'
            }
          }),
          repeating: true,
          view: {
            type: TextInput
          }
        })), _ownersReferences),
        ownersContributionNote: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.ownersContributionNote.name',
              'defaultMessage': 'Owner\'s contribution note'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        }),
        viewersRole: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.viewersRole.name',
              'defaultMessage': 'Viewer\'s role'
            }
          }),
          view: {
            type: TextInput
          }
        }),
        viewersPersonalExperience: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.viewersPersonalExperience.name',
              'defaultMessage': 'Viewer\'s personal experience'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        }),
        viewersPersonalResponse: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.viewersPersonalResponse.name',
              'defaultMessage': 'Viewer\'s personal response'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        }),
        viewersReferences: (_viewersReferences = {}, _defineProperty(_viewersReferences, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_viewersReferences, 'viewersReference', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.viewersReference.name',
              'defaultMessage': 'Viewer\'s reference'
            }
          }),
          repeating: true,
          view: {
            type: TextInput
          }
        })), _viewersReferences),
        viewersContributionNote: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.viewersContributionNote.name',
              'defaultMessage': 'Viewer\'s contribution note'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        }),
        referenceGroupList: (_referenceGroupList = {}, _defineProperty(_referenceGroupList, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_referenceGroupList, 'referenceGroup', (_referenceGroup = {}, _defineProperty(_referenceGroup, config, {
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        }), _defineProperty(_referenceGroup, 'reference', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.reference.name',
              'defaultMessage': 'Reference'
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'citation/local,citation/shared,citation/worldcat'
            }
          }
        })), _defineProperty(_referenceGroup, 'referenceNote', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.referenceNote.name',
              'defaultMessage': 'Note'
            }
          }),
          view: {
            type: TextInput
          }
        })), _referenceGroup)), _referenceGroupList),
        fieldCollectionDateGroup: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.fieldCollectionDateGroup.name',
              'defaultMessage': 'Field collection date'
            }
          }),
          view: {
            type: StructuredDateInput
          }
        }),
        fieldCollectionMethods: (_fieldCollectionMetho2 = {}, _defineProperty(_fieldCollectionMetho2, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_fieldCollectionMetho2, 'fieldCollectionMethod', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.fieldCollectionMethod.name',
              'defaultMessage': 'Field collection method'
            }
          }),
          repeating: true,
          view: {
            type: TermPickerInput,
            props: {
              source: 'collectionmethod'
            }
          }
        })), _fieldCollectionMetho2),
        fieldCollectionNote: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.fieldCollectionNote.name',
              'defaultMessage': 'Field collection note'
            }
          }),
          view: {
            type: TextInput,
            props: {
              multiline: true
            }
          }
        }),
        fieldCollectionNumber: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.fieldCollectionNumber.name',
              'defaultMessage': 'Field collection number'
            }
          }),
          view: {
            type: TextInput
          }
        }),
        fieldCollectionPlace: _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.fieldCollectionPlace.name',
              'defaultMessage': 'Field collection place'
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'place/local,place/shared,place/tgn'
            }
          }
        }),
        fieldCollectionSources: (_fieldCollectionSourc2 = {}, _defineProperty(_fieldCollectionSourc2, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_fieldCollectionSourc2, 'fieldCollectionSource', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.fieldCollectionSource.name',
              'defaultMessage': 'Field collection source'
            }
          }),
          repeating: true,
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,person/shared'
            }
          }
        })), _fieldCollectionSourc2),
        fieldCollectors: (_fieldCollectors = {}, _defineProperty(_fieldCollectors, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_fieldCollectors, 'fieldCollector', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.fieldCollector.name',
              'defaultMessage': 'Field collector'
            }
          }),
          repeating: true,
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,person/shared,organization/local,organization/shared'
            }
          }
        })), _fieldCollectors),
        fieldColEventNames: (_fieldColEventNames = {}, _defineProperty(_fieldColEventNames, config, {
          view: {
            type: CompoundInput
          }
        }), _defineProperty(_fieldColEventNames, 'fieldColEventName', _defineProperty({}, config, {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.collectionobjects_common.fieldColEventName.name',
              'defaultMessage': 'Field collection event name'
            }
          }),
          repeating: true,
          view: {
            type: TextInput
          }
        })), _fieldColEventNames)
      })
    })
  };
};