'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatOption = _pluginContext$format.formatOption,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: {
      conditionCheckRefNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.conditioncheck.default.conditionCheckRefNumber',
            'defaultMessage': 'Reference number'
          }
        }),
        order: 10,
        sortBy: 'conditionchecks_common:conditionCheckRefNumber',
        width: 200
      },
      condition: {
        formatValue: function formatValue(data, formatterContext) {
          return formatOption('conditions', data, formatterContext);
        },
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.conditioncheck.default.condition',
            'defaultMessage': 'Condition'
          }
        }),
        order: 20,
        sortBy: 'conditionchecks_common:conditionCheckGroupList/0/condition',
        width: 450
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.conditioncheck.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};