"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

var template = function template(pluginContext) {
  var React = pluginContext.lib.React;
  var _pluginContext$layout = pluginContext.layoutComponents,
      Col = _pluginContext$layout.Col,
      Cols = _pluginContext$layout.Cols,
      Panel = _pluginContext$layout.Panel,
      Row = _pluginContext$layout.Row;
  var Field = pluginContext.recordComponents.Field;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "conditionCheckAndTechAssessmentInfo", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "conditionCheckRefNumber" }),
          React.createElement(Field, { name: "conditionCheckAssessmentDate" }),
          React.createElement(Field, { name: "conditionCheckMethod" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "conditionCheckReason" }),
          React.createElement(Field, { name: "conditionChecker" })
        )
      ),
      React.createElement(Field, { name: "conditionCheckNote" })
    ),
    React.createElement(
      Panel,
      { name: "objectConditionAndTechAssessmentInfo", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "objectAuditCategory" }),
        React.createElement(Field, { name: "conservationTreatmentPriority" }),
        React.createElement(Field, { name: "nextConditionCheckDate" })
      ),
      React.createElement(
        Field,
        { name: "completenessGroupList" },
        React.createElement(
          Field,
          { name: "completenessGroup" },
          React.createElement(Field, { name: "completeness" }),
          React.createElement(Field, { name: "completenessDate" }),
          React.createElement(Field, { name: "completenessNote" })
        )
      ),
      React.createElement(
        Field,
        { name: "hazardGroupList" },
        React.createElement(
          Field,
          { name: "hazardGroup" },
          React.createElement(Field, { name: "hazard" }),
          React.createElement(Field, { name: "hazardDate" }),
          React.createElement(Field, { name: "hazardNote" })
        )
      ),
      React.createElement(
        Field,
        { name: "techAssessmentGroupList" },
        React.createElement(
          Field,
          { name: "techAssessmentGroup" },
          React.createElement(Field, { name: "techAssessment" }),
          React.createElement(Field, { name: "techAssessmentDate" })
        )
      ),
      React.createElement(
        Field,
        { name: "conditionCheckGroupList" },
        React.createElement(
          Field,
          { name: "conditionCheckGroup" },
          React.createElement(Field, { name: "condition" }),
          React.createElement(Field, { name: "conditionDate" }),
          React.createElement(Field, { name: "conditionNote" })
        )
      ),
      React.createElement(
        Field,
        { name: "envConditionNoteGroupList" },
        React.createElement(
          Field,
          { name: "envConditionNoteGroup" },
          React.createElement(Field, { name: "envConditionNote" }),
          React.createElement(Field, { name: "envConditionNoteDate" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "objectRequirementInfo", collapsible: true, collapsed: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "displayRecommendations" }),
          React.createElement(Field, { name: "handlingRecommendations" }),
          React.createElement(Field, { name: "securityRecommendations" }),
          React.createElement(Field, { name: "storageRequirements" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "envRecommendations" }),
          React.createElement(Field, { name: "packingRecommendations" }),
          React.createElement(Field, { name: "specialRequirements" }),
          React.createElement(Field, { name: "legalRequirements" })
        )
      ),
      React.createElement(
        Field,
        { name: "legalReqsHeldGroupList" },
        React.createElement(
          Field,
          { name: "legalReqsHeldGroup" },
          React.createElement(Field, { name: "legalReqsHeld" }),
          React.createElement(Field, { name: "legalReqsHeldBeginDate" }),
          React.createElement(Field, { name: "legalReqsHeldEndDate" }),
          React.createElement(Field, { name: "legalReqsHeldNumber" }),
          React.createElement(Field, { name: "legalReqsHeldRenewDate" })
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "salvagePriorityCodeGroupList" },
            React.createElement(
              Field,
              { name: "salvagePriorityCodeGroup" },
              React.createElement(Field, { name: "salvagePriorityCode" }),
              React.createElement(Field, { name: "salvagePriorityCodeDate" })
            )
          )
        ),
        React.createElement(Col, null)
      )
    )
  );
};

exports.default = function (pluginContext) {
  return {
    messages: (0, _reactIntl.defineMessages)({
      name: {
        "id": "form.conditioncheck.default.name",
        "defaultMessage": "Standard Template"
      }
    }),
    template: template(pluginContext)
  };
};