'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function (pluginContext) {
  var _sponsors, _organizers, _venueGroup, _venueGroupList, _exhibitionPersonGrou, _exhibitionPersonGrou2, _workingGroup, _workingGroupList, _galleryRotationGroup, _galleryRotationGroup2, _exhibitionReferenceG, _exhibitionReferenceG2, _exhibitionSectionGro, _exhibitionSectionGro2, _exhibitionStatusGrou, _exhibitionStatusGrou2, _exhibitionObjectGrou, _exhibitionObjectGrou2, _ns2Exhibitions_comm;

  var _pluginContext$inputC = pluginContext.inputComponents,
      CompoundInput = _pluginContext$inputC.CompoundInput,
      DateInput = _pluginContext$inputC.DateInput,
      OptionPickerInput = _pluginContext$inputC.OptionPickerInput,
      TextInput = _pluginContext$inputC.TextInput,
      AutocompleteInput = _pluginContext$inputC.AutocompleteInput,
      IDGeneratorInput = _pluginContext$inputC.IDGeneratorInput,
      TermPickerInput = _pluginContext$inputC.TermPickerInput,
      StructuredDateInput = _pluginContext$inputC.StructuredDateInput;
  var config = pluginContext.configHelpers.configKey;
  var DATA_TYPE_DATE = pluginContext.dataTypes.DATA_TYPE_DATE;
  var extensions = pluginContext.config.extensions;


  return {
    document: Object.assign(_defineProperty({}, config, {
      view: {
        type: CompoundInput,
        props: {
          defaultChildSubpath: 'ns2:exhibitions_common'
        }
      }
    }), extensions.core.fields, {
      'ns2:exhibitions_common': (_ns2Exhibitions_comm = {}, _defineProperty(_ns2Exhibitions_comm, config, {
        service: {
          ns: 'http://collectionspace.org/services/exhibition'
        }
      }), _defineProperty(_ns2Exhibitions_comm, 'exhibitionNumber', _defineProperty({}, config, {
        cloneable: false,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionNumber.name',
            'defaultMessage': 'Exhibition number'
          }
        }),
        required: true,
        searchView: {
          type: TextInput
        },
        view: {
          type: IDGeneratorInput,
          props: {
            idGeneratorName: 'exhibition'
          }
        }
      })), _defineProperty(_ns2Exhibitions_comm, 'type', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.type.name',
            'defaultMessage': 'Type'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'exhibitiontype'
          }
        }
      })), _defineProperty(_ns2Exhibitions_comm, 'title', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.title.name',
            'defaultMessage': 'Title'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Exhibitions_comm, 'sponsors', (_sponsors = {}, _defineProperty(_sponsors, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_sponsors, 'sponsor', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.sponsor.name',
            'defaultMessage': 'Sponsor'
          }
        }),
        repeating: true,
        view: {
          type: AutocompleteInput,
          props: {
            source: 'person/local,person/shared,person/ulan,organization/local,organization/shared,organization/ulan'
          }
        }
      })), _sponsors)), _defineProperty(_ns2Exhibitions_comm, 'organizers', (_organizers = {}, _defineProperty(_organizers, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_organizers, 'organizer', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.organizer.name',
            'defaultMessage': 'Organizer'
          }
        }),
        repeating: true,
        view: {
          type: AutocompleteInput,
          props: {
            source: 'person/local,person/shared,person/ulan,organization/local,organization/shared,organization/ulan'
          }
        }
      })), _organizers)), _defineProperty(_ns2Exhibitions_comm, 'venueGroupList', (_venueGroupList = {}, _defineProperty(_venueGroupList, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_venueGroupList, 'venueGroup', (_venueGroup = {}, _defineProperty(_venueGroup, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.venueGroup.name',
            'defaultMessage': 'Venue'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_venueGroup, 'venue', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.venue.name',
            'defaultMessage': 'Name'
          },
          fullName: {
            'id': 'field.exhibitions_common.venue.fullName',
            'defaultMessage': 'Venue name'
          }
        }),
        view: {
          type: AutocompleteInput,
          props: {
            source: 'organization/local,organization/shared,organization/ulan,location/local,location/offsite,place/local,place/shared,place/tgn'
          }
        }
      })), _defineProperty(_venueGroup, 'venueOpeningDate', _defineProperty({}, config, {
        dataType: DATA_TYPE_DATE,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.venueOpeningDate.name',
            'defaultMessage': 'Opening date'
          },
          fullName: {
            'id': 'field.exhibitions_common.venueOpeningDate.fullName',
            'defaultMessage': 'Venue opening date'
          }
        }),
        view: {
          type: DateInput
        }
      })), _defineProperty(_venueGroup, 'venueClosingDate', _defineProperty({}, config, {
        dataType: DATA_TYPE_DATE,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.venueClosingDate.name',
            'defaultMessage': 'Closing date'
          },
          fullName: {
            'id': 'field.exhibitions_common.venueClosingDate.fullName',
            'defaultMessage': 'Venue closing date'
          }
        }),
        view: {
          type: DateInput
        }
      })), _defineProperty(_venueGroup, 'venueAttendance', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.venueAttendance.name',
            'defaultMessage': 'Attendance'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_venueGroup, 'venueURL', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.venueURL.name',
            'defaultMessage': 'Web address'
          }
        }),
        view: {
          type: TextInput
        }
      })), _venueGroup)), _venueGroupList)), _defineProperty(_ns2Exhibitions_comm, 'workingGroupList', (_workingGroupList = {}, _defineProperty(_workingGroupList, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_workingGroupList, 'workingGroup', (_workingGroup = {}, _defineProperty(_workingGroup, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.workingGroup.name',
            'defaultMessage': 'Working group'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_workingGroup, 'workingGroupTitle', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.workingGroupTitle.name',
            'defaultMessage': 'Title'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_workingGroup, 'workingGroupNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.workingGroupNote.name',
            'defaultMessage': 'Note'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_workingGroup, 'exhibitionPersonGroupList', (_exhibitionPersonGrou2 = {}, _defineProperty(_exhibitionPersonGrou2, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_exhibitionPersonGrou2, 'exhibitionPersonGroup', (_exhibitionPersonGrou = {}, _defineProperty(_exhibitionPersonGrou, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionPersonGroup.name',
            'defaultMessage': 'Member'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_exhibitionPersonGrou, 'exhibitionPerson', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionPerson.name',
            'defaultMessage': 'Name'
          },
          fullName: {
            'id': 'field.exhibitions_common.exhibitionPerson.fullName',
            'defaultMessage': 'Working group member name'
          }
        }),
        view: {
          type: AutocompleteInput,
          props: {
            source: 'person/local,person/shared,person/ulan,organization/local,organization/shared,organization/ulan'
          }
        }
      })), _defineProperty(_exhibitionPersonGrou, 'exhibitionPersonRole', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionPersonRole.name',
            'defaultMessage': 'Role'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'exhibitionpersonrole'
          }
        }
      })), _exhibitionPersonGrou)), _exhibitionPersonGrou2)), _workingGroup)), _workingGroupList)), _defineProperty(_ns2Exhibitions_comm, 'planningNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.planningNote.name',
            'defaultMessage': 'Planning note'
          }
        }),
        view: {
          type: TextInput,
          props: {
            multiline: true
          }
        }
      })), _defineProperty(_ns2Exhibitions_comm, 'curatorialNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.curatorialNote.name',
            'defaultMessage': 'Curatorial note'
          }
        }),
        view: {
          type: TextInput,
          props: {
            multiline: true
          }
        }
      })), _defineProperty(_ns2Exhibitions_comm, 'generalNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.generalNote.name',
            'defaultMessage': 'General note'
          }
        }),
        view: {
          type: TextInput,
          props: {
            multiline: true
          }
        }
      })), _defineProperty(_ns2Exhibitions_comm, 'boilerplateText', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.boilerplateText.name',
            'defaultMessage': 'Boilerplate text'
          }
        }),
        view: {
          type: TextInput,
          props: {
            multiline: true
          }
        }
      })), _defineProperty(_ns2Exhibitions_comm, 'galleryRotationGroupList', (_galleryRotationGroup2 = {}, _defineProperty(_galleryRotationGroup2, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_galleryRotationGroup2, 'galleryRotationGroup', (_galleryRotationGroup = {}, _defineProperty(_galleryRotationGroup, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.galleryRotationGroup.name',
            'defaultMessage': 'Gallery rotation'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_galleryRotationGroup, 'galleryRotationName', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.galleryRotationName.name',
            'defaultMessage': 'Name'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_galleryRotationGroup, 'galleryRotationStartDateGroup', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.galleryRotationStartDateGroup.name',
            'defaultMessage': 'Start date'
          }
        }),
        view: {
          type: StructuredDateInput
        }
      })), _defineProperty(_galleryRotationGroup, 'galleryRotationEndDateGroup', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.galleryRotationEndDateGroup.name',
            'defaultMessage': 'End date'
          }
        }),
        view: {
          type: StructuredDateInput
        }
      })), _defineProperty(_galleryRotationGroup, 'galleryRotationNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.galleryRotationNote.name',
            'defaultMessage': 'Note'
          }
        }),
        view: {
          type: TextInput
        }
      })), _galleryRotationGroup)), _galleryRotationGroup2)), _defineProperty(_ns2Exhibitions_comm, 'exhibitionReferenceGroupList', (_exhibitionReferenceG2 = {}, _defineProperty(_exhibitionReferenceG2, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_exhibitionReferenceG2, 'exhibitionReferenceGroup', (_exhibitionReferenceG = {}, _defineProperty(_exhibitionReferenceG, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionReferenceGroup.name',
            'defaultMessage': 'Bibliographic reference'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_exhibitionReferenceG, 'exhibitionReference', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionReference.name',
            'defaultMessage': 'Reference'
          },
          fullName: {
            'id': 'field.exhibitions_common.exhibitionReference.fullName',
            'defaultMessage': 'Bibliographic reference'
          }
        }),
        view: {
          type: AutocompleteInput,
          props: {
            source: 'citation/local,citation/shared,citation/worldcat'
          }
        }
      })), _defineProperty(_exhibitionReferenceG, 'exhibitionReferenceType', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionReferenceType.name',
            'defaultMessage': 'Type'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'exhibitionreferencetype'
          }
        }
      })), _defineProperty(_exhibitionReferenceG, 'exhibitionReferenceNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionReferenceNote.name',
            'defaultMessage': 'Note'
          }
        }),
        view: {
          type: TextInput
        }
      })), _exhibitionReferenceG)), _exhibitionReferenceG2)), _defineProperty(_ns2Exhibitions_comm, 'exhibitionSectionGroupList', (_exhibitionSectionGro2 = {}, _defineProperty(_exhibitionSectionGro2, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_exhibitionSectionGro2, 'exhibitionSectionGroup', (_exhibitionSectionGro = {}, _defineProperty(_exhibitionSectionGro, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionSectionGroup.name',
            'defaultMessage': 'Exhibition section'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_exhibitionSectionGro, 'exhibitionSectionName', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionSectionName.name',
            'defaultMessage': 'Section'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_exhibitionSectionGro, 'exhibitionSectionLocation', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionSectionLocation.name',
            'defaultMessage': 'Location'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_exhibitionSectionGro, 'exhibitionSectionObjects', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionSectionObjects.name',
            'defaultMessage': 'Objects'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_exhibitionSectionGro, 'exhibitionSectionNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionSectionNote.name',
            'defaultMessage': 'Note'
          }
        }),
        view: {
          type: TextInput
        }
      })), _exhibitionSectionGro)), _exhibitionSectionGro2)), _defineProperty(_ns2Exhibitions_comm, 'exhibitionStatusGroupList', (_exhibitionStatusGrou2 = {}, _defineProperty(_exhibitionStatusGrou2, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_exhibitionStatusGrou2, 'exhibitionStatusGroup', (_exhibitionStatusGrou = {}, _defineProperty(_exhibitionStatusGrou, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionStatusGroup.name',
            'defaultMessage': 'Exhibition status'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_exhibitionStatusGrou, 'exhibitionStatus', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionStatus.name',
            'defaultMessage': 'Status'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'exhibitionstatus'
          }
        }
      })), _defineProperty(_exhibitionStatusGrou, 'exhibitionStatusDate', _defineProperty({}, config, {
        dataType: DATA_TYPE_DATE,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionStatusDate.name',
            'defaultMessage': 'Date'
          },
          fullName: {
            'id': 'field.exhibitions_common.exhibitionStatusDate.fullName',
            'defaultMessage': 'Exhibition status date'
          }
        }),
        view: {
          type: DateInput
        }
      })), _defineProperty(_exhibitionStatusGrou, 'exhibitionStatusNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionStatusNote.name',
            'defaultMessage': 'Note'
          }
        }),
        view: {
          type: TextInput
        }
      })), _exhibitionStatusGrou)), _exhibitionStatusGrou2)), _defineProperty(_ns2Exhibitions_comm, 'exhibitionObjectGroupList', (_exhibitionObjectGrou2 = {}, _defineProperty(_exhibitionObjectGrou2, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_exhibitionObjectGrou2, 'exhibitionObjectGroup', (_exhibitionObjectGrou = {}, _defineProperty(_exhibitionObjectGrou, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionObjectGroup.name',
            'defaultMessage': 'Object checklist'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectNumber', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionObjectNumber.name',
            'defaultMessage': 'Object'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectName', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionObjectName.name',
            'defaultMessage': 'Name'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectConsCheckDate', _defineProperty({}, config, {
        dataType: DATA_TYPE_DATE,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionObjectConsCheckDate.name',
            'defaultMessage': 'Cons. check'
          }
        }),
        view: {
          type: DateInput
        }
      })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectConsTreatment', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionObjectConsTreatment.name',
            'defaultMessage': 'Cons. treatment'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'exhibitionConsTreatmentStatuses'
          }
        }
      })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectMount', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionObjectMount.name',
            'defaultMessage': 'Mount'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'exhibitionMountStatuses'
          }
        }
      })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectSection', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionObjectSection.name',
            'defaultMessage': 'Section'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectCase', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionObjectCase.name',
            'defaultMessage': 'Case'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectSeqNum', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionObjectSeqNum.name',
            'defaultMessage': 'Seq. #'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectRotation', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionObjectRotation.name',
            'defaultMessage': 'Rotation'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.exhibitions_common.exhibitionObjectNote.name',
            'defaultMessage': 'Note'
          }
        }),
        view: {
          type: TextInput
        }
      })), _exhibitionObjectGrou)), _exhibitionObjectGrou2)), _ns2Exhibitions_comm)
    })
  };
};