'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (pluginContext) {
  var isNewRecord = pluginContext.recordDataHelpers.isNewRecord;


  return {
    blob: {
      recordType: 'blob',
      csidField: ['document', 'ns2:media_common', 'blobCsid'],
      saveStage: 'before',
      saveCondition: function saveCondition(data) {
        // Only save new records that have the file field set.

        if (!isNewRecord(data)) {
          return false;
        }

        var file = data.getIn(['document', 'ns2:blobs_common', 'file']);

        if (!file) {
          return false;
        }

        return file instanceof Array && file.length > 0 || typeof file === 'string';
      }
    }
  };
};