'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function (pluginContext) {
  var _relRelationsCommon, _Object$assign, _placeTermGroup, _placeTermGroupList, _placeOwnerGroup, _placeOwnerGroupList, _addrGroup, _addrGroupList, _placeGeoRefGroup, _placeGeoRefGroupList, _ns2Places_common;

  var _pluginContext$inputC = pluginContext.inputComponents,
      AutocompleteInput = _pluginContext$inputC.AutocompleteInput,
      CompoundInput = _pluginContext$inputC.CompoundInput,
      HierarchyInput = _pluginContext$inputC.HierarchyInput,
      OptionPickerInput = _pluginContext$inputC.OptionPickerInput,
      TextInput = _pluginContext$inputC.TextInput,
      TermPickerInput = _pluginContext$inputC.TermPickerInput,
      CheckboxInput = _pluginContext$inputC.CheckboxInput,
      StructuredDateInput = _pluginContext$inputC.StructuredDateInput;
  var config = pluginContext.configHelpers.configKey;
  var _pluginContext$dataTy = pluginContext.dataTypes,
      DATA_TYPE_FLOAT = _pluginContext$dataTy.DATA_TYPE_FLOAT,
      DATA_TYPE_INT = _pluginContext$dataTy.DATA_TYPE_INT;
  var extensions = pluginContext.config.extensions;


  return {
    document: Object.assign((_Object$assign = {}, _defineProperty(_Object$assign, config, {
      view: {
        type: CompoundInput,
        props: {
          defaultChildSubpath: 'ns2:places_common'
        }
      }
    }), _defineProperty(_Object$assign, 'rel:relations-common-list', (_relRelationsCommon = {}, _defineProperty(_relRelationsCommon, config, {
      service: {
        ns: 'http://collectionspace.org/services/relation'
      }
    }), _defineProperty(_relRelationsCommon, 'relation-list-item', _defineProperty({}, config, {
      view: {
        type: HierarchyInput,
        props: {
          messages: (0, _reactIntl.defineMessages)({
            parent: {
              'id': 'hierarchyInput.place.parent',
              'defaultMessage': 'Broader place'
            },
            children: {
              'id': 'hierarchyInput.place.children',
              'defaultMessage': 'Narrower places'
            },
            siblings: {
              'id': 'hierarchyInput.place.siblings',
              'defaultMessage': 'Adjacent places'
            }
          })
        }
      }
    })), _relRelationsCommon)), _Object$assign), extensions.core.fields, {
      'ns2:places_common': (_ns2Places_common = {}, _defineProperty(_ns2Places_common, config, {
        service: {
          ns: 'http://collectionspace.org/services/place'
        }
      }), _defineProperty(_ns2Places_common, 'inAuthority', _defineProperty({}, config, {
        cloneable: false
      })), _defineProperty(_ns2Places_common, 'shortIdentifier', _defineProperty({}, config, {
        cloneable: false
      })), _defineProperty(_ns2Places_common, 'placeTermGroupList', (_placeTermGroupList = {}, _defineProperty(_placeTermGroupList, config, {
        messages: (0, _reactIntl.defineMessages)({
          required: {
            'id': 'field.places_common.placeTermGroupList.required',
            'defaultMessage': 'At least one term display name is required. Please enter a value.'
          }
        }),
        required: true,
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_placeTermGroupList, 'placeTermGroup', (_placeTermGroup = {}, _defineProperty(_placeTermGroup, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.placeTermGroup.name',
            'defaultMessage': 'Term'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_placeTermGroup, 'termDisplayName', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termDisplayName.name',
            'defaultMessage': 'Display name'
          }
        }),
        required: true,
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeTermGroup, 'termName', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termName.name',
            'defaultMessage': 'Name'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeTermGroup, 'termType', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termType.name',
            'defaultMessage': 'Type'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'placeTermTypes'
          }
        }
      })), _defineProperty(_placeTermGroup, 'termFlag', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termFlag.name',
            'defaultMessage': 'Flag'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'placetermflag'
          }
        }
      })), _defineProperty(_placeTermGroup, 'termStatus', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termStatus.name',
            'defaultMessage': 'Status'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'placeTermStatuses'
          }
        }
      })), _defineProperty(_placeTermGroup, 'termQualifier', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termQualifier.name',
            'defaultMessage': 'Qualifier'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeTermGroup, 'termLanguage', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termLanguage.name',
            'defaultMessage': 'Language'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'languages'
          }
        }
      })), _defineProperty(_placeTermGroup, 'termPrefForLang', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termPrefForLang.name',
            'defaultMessage': 'Preferred for lang'
          }
        }),
        view: {
          type: CheckboxInput
        }
      })), _defineProperty(_placeTermGroup, 'termSource', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termSource.name',
            'defaultMessage': 'Name'
          },
          fullName: {
            'id': 'field.places_common.termSource.fullName',
            'defaultMessage': 'Source name'
          }
        }),
        view: {
          type: AutocompleteInput,
          props: {
            source: 'citation/local,citation/shared,citation/worldcat'
          }
        }
      })), _defineProperty(_placeTermGroup, 'termSourceDetail', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termSourceDetail.name',
            'defaultMessage': 'Detail'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeTermGroup, 'termSourceID', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termSourceID.name',
            'defaultMessage': 'ID'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeTermGroup, 'termSourceNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.termSourceNote.name',
            'defaultMessage': 'Note'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeTermGroup, 'historicalStatus', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.historicalStatus.name',
            'defaultMessage': 'Historical status'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'placeHistoricalStatuses'
          }
        }
      })), _defineProperty(_placeTermGroup, 'nameAbbrev', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.nameAbbrev.name',
            'defaultMessage': 'Abbreviation'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeTermGroup, 'nameNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.nameNote.name',
            'defaultMessage': 'Note'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeTermGroup, 'nameDateGroup', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.nameDateGroup.name',
            'defaultMessage': 'Date'
          }
        }),
        view: {
          type: StructuredDateInput
        }
      })), _placeTermGroup)), _placeTermGroupList)), _defineProperty(_ns2Places_common, 'placeType', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.placeType.name',
            'defaultMessage': 'Place type'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'placeTypes'
          }
        }
      })), _defineProperty(_ns2Places_common, 'placeSource', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.placeSource.name',
            'defaultMessage': 'Place source'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'placeNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.placeNote.name',
            'defaultMessage': 'Place note'
          }
        }),
        searchView: {
          type: TextInput
        },
        view: {
          type: TextInput,
          props: {
            multiline: true
          }
        }
      })), _defineProperty(_ns2Places_common, 'placeOwnerGroupList', (_placeOwnerGroupList = {}, _defineProperty(_placeOwnerGroupList, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_placeOwnerGroupList, 'placeOwnerGroup', (_placeOwnerGroup = {}, _defineProperty(_placeOwnerGroup, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.placeOwnerGroup.name',
            'defaultMessage': 'Ownership'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput,
          props: {
            tabular: true
          }
        }
      }), _defineProperty(_placeOwnerGroup, 'owner', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.owner.name',
            'defaultMessage': 'Owner'
          }
        }),
        view: {
          type: AutocompleteInput,
          props: {
            source: 'person/local,person/shared,organization/local,organization/shared'
          }
        }
      })), _defineProperty(_placeOwnerGroup, 'ownershipDateGroup', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.ownershipDateGroup.name',
            'defaultMessage': 'Date'
          }
        }),
        view: {
          type: StructuredDateInput
        }
      })), _defineProperty(_placeOwnerGroup, 'ownershipNote', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.ownershipNote.name',
            'defaultMessage': 'Note'
          }
        }),
        view: {
          type: TextInput
        }
      })), _placeOwnerGroup)), _placeOwnerGroupList)), _defineProperty(_ns2Places_common, 'addrGroupList', (_addrGroupList = {}, _defineProperty(_addrGroupList, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_addrGroupList, 'addrGroup', (_addrGroup = {}, _defineProperty(_addrGroup, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.addrGroup.name',
            'defaultMessage': 'Address'
          }
        }),
        repeating: true,
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_addrGroup, 'addressType', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.addressType.name',
            'defaultMessage': 'Type'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'addresstype'
          }
        }
      })), _defineProperty(_addrGroup, 'addressPlace1', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.addressPlace1.name',
            'defaultMessage': 'Line 1'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_addrGroup, 'addressPlace2', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.addressPlace2.name',
            'defaultMessage': 'Line 2'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_addrGroup, 'addressMunicipality', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.addressMunicipality.name',
            'defaultMessage': 'Municipality'
          }
        }),
        view: {
          type: AutocompleteInput,
          props: {
            source: 'place/local,place/tgn'
          }
        }
      })), _defineProperty(_addrGroup, 'addressStateOrProvince', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.addressStateOrProvince.name',
            'defaultMessage': 'State/Province'
          }
        }),
        view: {
          type: AutocompleteInput,
          props: {
            source: 'place/local,place/tgn'
          }
        }
      })), _defineProperty(_addrGroup, 'addressPostCode', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.addressPostCode.name',
            'defaultMessage': 'Postal code'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_addrGroup, 'addressCountry', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.addressCountry.name',
            'defaultMessage': 'Country'
          }
        }),
        view: {
          type: AutocompleteInput,
          props: {
            source: 'place/local,place/tgn'
          }
        }
      })), _addrGroup)), _addrGroupList)), _defineProperty(_ns2Places_common, 'vCoordinates', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.vCoordinates.name',
            'defaultMessage': 'Verbatim coords'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'vLatitude', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.vLatitude.name',
            'defaultMessage': 'Verbatim latitude'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'vLongitude', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.vLongitude.name',
            'defaultMessage': 'Verbatim longitude'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'vCoordSys', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.vCoordSys.name',
            'defaultMessage': 'Coordinate system'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'coordinateSystems'
          }
        }
      })), _defineProperty(_ns2Places_common, 'vSpatialReferenceSystem', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.vSpatialReferenceSystem.name',
            'defaultMessage': 'Spatial ref system'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'spatialRefSystems'
          }
        }
      })), _defineProperty(_ns2Places_common, 'vCoordSource', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.vCoordSource.name',
            'defaultMessage': 'Coordinate source'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'vCoordSourceRefId', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.vCoordSourceRefId.name',
            'defaultMessage': 'Coordinate source detail'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'vUnitofMeasure', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.vUnitofMeasure.name',
            'defaultMessage': 'Unit of measure'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'localityUnits'
          }
        }
      })), _defineProperty(_ns2Places_common, 'vElevation', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.vElevation.name',
            'defaultMessage': 'Elevation'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'minElevationInMeters', _defineProperty({}, config, {
        dataType: DATA_TYPE_FLOAT,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.minElevationInMeters.name',
            'defaultMessage': 'Min elevation (m)'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'maxElevationInMeters', _defineProperty({}, config, {
        dataType: DATA_TYPE_FLOAT,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.maxElevationInMeters.name',
            'defaultMessage': 'Max elevation (m)'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'vDepth', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.vDepth.name',
            'defaultMessage': 'Depth'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'minDepthInMeters', _defineProperty({}, config, {
        dataType: DATA_TYPE_FLOAT,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.minDepthInMeters.name',
            'defaultMessage': 'Min depth (m)'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'maxDepthInMeters', _defineProperty({}, config, {
        dataType: DATA_TYPE_FLOAT,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.maxDepthInMeters.name',
            'defaultMessage': 'Max depth (m)'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'vDistanceAboveSurface', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.vDistanceAboveSurface.name',
            'defaultMessage': 'Distance above surface'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'minDistanceAboveSurfaceMeters', _defineProperty({}, config, {
        dataType: DATA_TYPE_FLOAT,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.minDistanceAboveSurfaceMeters.name',
            'defaultMessage': 'Min distance above surface (m)'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'maxDistanceAboveSurfaceMeters', _defineProperty({}, config, {
        dataType: DATA_TYPE_FLOAT,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.maxDistanceAboveSurfaceMeters.name',
            'defaultMessage': 'Max distance above surface (m)'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_ns2Places_common, 'placeGeoRefGroupList', (_placeGeoRefGroupList = {}, _defineProperty(_placeGeoRefGroupList, config, {
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_placeGeoRefGroupList, 'placeGeoRefGroup', (_placeGeoRefGroup = {}, _defineProperty(_placeGeoRefGroup, config, {
        repeating: true,
        view: {
          type: CompoundInput
        }
      }), _defineProperty(_placeGeoRefGroup, 'decimalLatitude', _defineProperty({}, config, {
        dataType: DATA_TYPE_FLOAT,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.decimalLatitude.name',
            'defaultMessage': 'Decimal latitude'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeGeoRefGroup, 'decimalLongitude', _defineProperty({}, config, {
        dataType: DATA_TYPE_FLOAT,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.decimalLongitude.name',
            'defaultMessage': 'Decimal longitude'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeGeoRefGroup, 'geodeticDatum', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.geodeticDatum.name',
            'defaultMessage': 'Datum'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'geodeticDatums'
          }
        }
      })), _defineProperty(_placeGeoRefGroup, 'coordUncertaintyInMeters', _defineProperty({}, config, {
        dataType: DATA_TYPE_INT,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.coordUncertaintyInMeters.name',
            'defaultMessage': 'Uncertainty (m)'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeGeoRefGroup, 'coordPrecision', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.coordPrecision.name',
            'defaultMessage': 'Precision'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeGeoRefGroup, 'pointRadiusSpatialFit', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.pointRadiusSpatialFit.name',
            'defaultMessage': 'Point radius spatial fit'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeGeoRefGroup, 'footprintWKT', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.footprintWKT.name',
            'defaultMessage': 'Footprint WKT'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeGeoRefGroup, 'footprintSRS', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.footprintSRS.name',
            'defaultMessage': 'Footprint SRS'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeGeoRefGroup, 'footprintSpatialFit', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.footprintSpatialFit.name',
            'defaultMessage': 'Footprint spatial fit'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeGeoRefGroup, 'geoReferencedBy', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.geoReferencedBy.name',
            'defaultMessage': 'Georeferenced by'
          }
        }),
        view: {
          type: AutocompleteInput,
          props: {
            source: 'person/local,person/shared,organization/local,organization/shared'
          }
        }
      })), _defineProperty(_placeGeoRefGroup, 'geoRefDateGroup', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.geoRefDateGroup.name',
            'defaultMessage': 'Date'
          }
        }),
        view: {
          type: StructuredDateInput
        }
      })), _defineProperty(_placeGeoRefGroup, 'geoRefProtocol', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.geoRefProtocol.name',
            'defaultMessage': 'Protocol'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'geoRefProtocols'
          }
        }
      })), _defineProperty(_placeGeoRefGroup, 'geoRefSource', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.geoRefSource.name',
            'defaultMessage': 'Source'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeGeoRefGroup, 'geoRefVerificationStatus', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.geoRefVerificationStatus.name',
            'defaultMessage': 'Verification'
          }
        }),
        view: {
          type: OptionPickerInput,
          props: {
            source: 'geoRefVerificationStatuses'
          }
        }
      })), _defineProperty(_placeGeoRefGroup, 'geoRefRemarks', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.geoRefRemarks.name',
            'defaultMessage': 'Remarks'
          }
        }),
        view: {
          type: TextInput
        }
      })), _defineProperty(_placeGeoRefGroup, 'geoRefPlaceName', _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.places_common.geoRefPlaceName.name',
            'defaultMessage': 'Georeference place name'
          }
        }),
        view: {
          type: TextInput
        }
      })), _placeGeoRefGroup)), _placeGeoRefGroupList)), _ns2Places_common)
    })
  };
};