'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (pluginContext) {
  return function (data) {
    var getPart = pluginContext.recordDataHelpers.getPart;
    var getDisplayName = pluginContext.refNameHelpers.getDisplayName;


    if (!data) {
      return '';
    }

    var common = getPart(data, 'pottags_common');

    if (!common) {
      return '';
    }

    var commonName = common.get('commonName');
    var family = getDisplayName(common.get('family'));

    return [commonName, family].filter(function (part) {
      return !!part;
    }).join(' – ');
  };
};