'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _formatHelpers = require('../../../helpers/formatHelpers');

exports.default = {
  default: {
    itemDisplayName: {
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.terms.itemDisplayName',
          'defaultMessage': 'Term'
        }
      }),
      order: 10,
      width: 250
    },
    type: {
      dataKey: 'refName',
      formatValue: _formatHelpers.formatRefNameAsRecordType,
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.terms.type',
          'defaultMessage': 'Type'
        }
      }),
      order: 20,
      width: 150
    },
    vocabulary: {
      dataKey: 'refName',
      formatValue: _formatHelpers.formatRefNameAsVocabularyName,
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.terms.vocabulary',
          'defaultMessage': 'Vocabulary'
        }
      }),
      order: 30,
      width: 150
    },
    sourceField: {
      formatValue: _formatHelpers.formatSourceField,
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.terms.sourceField',
          'defaultMessage': 'Field'
        }
      }),
      order: 40,
      width: 250
    }
  },
  narrow: {
    itemDisplayName: {
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.terms.itemDisplayName',
          'defaultMessage': 'Term'
        }
      }),
      order: 10,
      width: 250
    },
    type: {
      dataKey: 'refName',
      formatValue: _formatHelpers.formatRefNameAsRecordType,
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.terms.type',
          'defaultMessage': 'Type'
        }
      }),
      order: 20,
      width: 150
    },
    vocabulary: {
      dataKey: 'refName',
      formatValue: _formatHelpers.formatRefNameAsVocabularyName,
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.terms.vocabulary',
          'defaultMessage': 'Vocabulary'
        }
      }),
      order: 30,
      width: 150
    },
    sourceField: {
      formatValue: _formatHelpers.formatSourceField,
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.terms.sourceField',
          'defaultMessage': 'Field'
        }
      }),
      order: 40,
      width: 250
    }
  }
};